;tracklo	= $c0		; track location low
;trackhi	= $c1		; track location high
;tracknu	= $d8		; track number

	org $1001-2
	dw  $1001
	
	dw $100B,0
	db $9E,"4109",0,0,0



dst = $b0
src = $b2
currlen = $b4
fazis = $b5
lassit = $b6
	
; start
	
	sei
	sta $FF3F  
	lda #$3B
	sta $FF06
	lda #$08
	sta $FF14
	lda #$20
	sta $FF12
	lda #$f1
	sta $FF15
	sta $FF19
	lda #$FF
	sta $FF0C
	sta $FF0D          
	ldx #$00
	;STX tracknu
	;STX tracklo
	;STX trackhi
	stx fazis
	stx lassit
clear	
	lda #$10
	sta $0C00,x
	sta $0D00,x
	sta $0E00,x
	sta $0EE8,x
	lda #$77
	sta $0800,x
	sta $0900,x
	sta $0A00,x
	sta $0AE8,x
	inx
	bne clear   
;	LDA $FF07	; PAL/NTSC friendly
;	AND #$40
;	ORA #$88	; use $18 for multicolor
;	STA $FF07
;	LDA $FF12
;	AND #$03	; keep lowest 2 bits (sound)	
;	ORA #tracklo	; $08 = $2000, $10 = $4000, etc.
;	STA $FF12                                
;	LDA #$04
;	STA $FF13
	lda #loop & 255
	sta $FFFE
	lda #loop >> 8
	sta $FFFF
	lda #$70	; digiplay speed
	sta $FF00              
	ldy #$00
	sty $FF01
	lda #$08
	sta $FF0A
	
	;JMP *
	cli
	;
maincode
	
lef	lda #$3b
	sta $FF06
ut	lda #$28
	sta $FF12
	lda #$d0
gf	cmp $ff1d
	bcs gf
	
	lda tracklo+2
	cmp #$51
	bne k01
	lda #$30
	sta ut+1
	lda #$37
	sta lef+1
	jmp mnb1
	;
k01	lda tracklo+2
	cmp #$53
	bne k02
	lda #$28
	sta ut+1
	lda #$3b
	sta lef+1
	jmp mnb1
	;
k02	lda tracklo+2
	cmp #$55
	bne k03
	lda #$30
	sta ut+1
	lda #$37
	sta lef+1
	jmp mnb1
	;
k03	lda tracklo+2
	cmp #$57
	bne k04
	lda #$28
	sta ut+1
	lda #$3b
	sta lef+1
	jmp mnb1
	;
k04	lda tracklo+2
	cmp #$5f
	bne k05
	lda #$30
	sta ut+1
	lda #$37
	sta lef+1
	jmp mnb1
	;
k05	lda tracklo+2
	cmp #$61
	bne k06
	lda #$28
	sta ut+1
	lda #$3b
	sta lef+1
	jmp mnb1
	;
k06
	
	;
mnb1	;INC$ff19	
	jsr anima
	;DEC$ff19
mnb2	bit anima2
	jmp maincode
	
	nop
	   
loop	
;	DEC $FF19	; rastertime check
	pha
	txa
	pha
	tya
	pha
	asl $FF09
tracklo	lda $1200
kukii	ldx #$00
	beq egyig            
	and #$0F               
	jmp masik
	;TAX                    
	;LDA volume,x            
	;STA $FF11                       
	;LDA #$08               
;f3	
	;BIT $FF09              
	;BEQ f3            
	;STA $FF09              
egyig	;LDA (tracklo),Y            
	lsr a                    
	lsr a                      
	lsr a                      
	lsr a                  
masik 	tay                    
	lda volume,y            
	sta $FF11                                                            
	
	cpx#$00
	beq still
	inc tracklo+1
	bne f2            
	inc tracklo+2
	lda tracklo+2
	cmp#$64
	bne f2
	
	lda#$12
	sta tracklo+2
	lda mnb1
	eor #$0C
	sta mnb1
	lda mnb2
	eor #$0C
	sta mnb2
	
	lda #$00
	sta fazis
	
f2	ldx#$ff	
still   inx
	stx kukii+1
	
	pla
	tay
	pla
	tax
	pla
;	INC $FF19	; rastertime check
	rti

volume	db $90,$91,$92,$93,$94,$95,$96,$97,$98,$B5,$B6,$B7,$B8

;track
;	dw buzz,buzz	
;	dw $FF
        
        org $1200
        
buzz	db $66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$76
	db $66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$67,$66,$66,$66,$66
	db $65,$66,$66,$66,$76,$77,$66,$66,$66,$66,$55,$65,$66,$66,$66,$66
	db $66,$66,$66,$66,$56,$66,$66,$66,$66,$76,$77,$66,$66,$66,$56,$55
	db $65,$66,$76,$77,$67,$66,$66,$66,$56,$55,$65,$66,$76,$77,$67,$66
	db $66,$66,$56,$55,$66,$66,$66,$77,$77,$66,$66,$66,$56,$55,$65,$66
	db $76,$77,$77,$66,$66,$66,$66,$55,$65,$66,$66,$77,$77,$67,$66,$66
	db $66,$55,$55,$66,$66,$77,$77,$67,$66,$66,$66,$55,$55,$65,$66,$77
	db $77,$67,$66,$66,$66,$56,$55,$55,$66,$77,$77,$77,$66,$66,$66,$55
	db $55,$65,$66,$76,$77,$67,$66,$66,$66,$56,$55,$65,$66,$66,$77,$77
	db $66,$66,$66,$56,$55,$65,$66,$66,$77,$77,$66,$66,$66,$56,$55,$55
	db $66,$66,$77,$77,$66,$66,$66,$66,$65,$55,$65,$66,$77,$77,$67,$66
	db $66,$66,$55,$55,$65,$66,$77,$77,$67,$66,$66,$66,$55,$66,$66,$66
	db $76,$77,$67,$66,$66,$66,$55,$55,$66,$66,$66,$77,$67,$66,$66,$66
	db $65,$66,$65,$66,$66,$76,$67,$66,$66,$66,$66,$66,$56,$66,$66,$76
	db $67,$66,$66,$66,$66,$66,$56,$65,$66,$77,$67,$66,$66,$66,$66,$66
	db $66,$56,$66,$66,$67,$66,$66,$66,$66,$66,$66,$56,$66,$66,$67,$66
	db $66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66
	db $66,$66,$66,$66,$66,$76,$66,$66,$66,$66,$65,$66,$76,$66,$66,$76
	db $66,$66,$66,$66,$55,$66,$66,$66,$66,$66,$67,$66,$66,$66,$56,$66
	db $66,$66,$66,$66,$66,$66,$66,$66,$56,$66,$66,$66,$66,$66,$66,$66
	db $66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$65,$66,$66
	db $66,$66,$66,$66,$66,$66,$66,$65,$66,$66,$67,$66,$66,$66,$77,$66
	db $66,$56,$65,$66,$66,$56,$66,$66,$77,$67,$66,$56,$66,$66,$76,$66
	db $66,$66,$77,$67,$66,$66,$66,$56,$66,$66,$66,$66,$76,$77,$66,$66
	db $66,$56,$65,$66,$66,$66,$76,$77,$67,$66,$55,$66,$65,$66,$66,$66
	db $76,$77,$67,$66,$55,$65,$65,$66,$66,$66,$76,$77,$67,$66,$56,$65
	db $66,$66,$66,$66,$76,$77,$77,$66,$66,$65,$55,$66,$66,$66,$66,$77
	db $77,$67,$66,$65,$66,$66,$66,$66,$66,$66,$77,$67,$66,$66,$56,$65
	db $55,$66,$66,$66,$77,$77,$67,$66,$56,$66,$55,$66,$66,$66,$77,$77
	db $77,$66,$55,$65,$65,$66,$65,$66,$77,$77,$77,$66,$56,$55,$66,$55
	db $65,$76,$77,$77,$67,$66,$66,$55,$55,$55,$66,$66,$76,$77,$77,$66
	db $55,$66,$66,$56,$65,$76,$77,$67,$66,$66,$66,$66,$66,$55,$66,$76
	db $67,$66,$66,$66,$77,$66,$55,$65,$66,$66,$66,$76,$67,$66,$66,$66
	db $66,$56,$65,$66,$66,$66,$76,$77,$66,$66,$76,$66,$56,$55,$76,$66
	db $66,$76,$78,$66,$56,$65,$66,$55,$55,$76,$77,$67,$66,$77,$66,$56
	db $65,$56,$55,$66,$87,$77,$66,$66,$77,$56,$55,$55,$66,$66,$66,$66
	db $77,$77,$66,$55,$64,$66,$66,$66,$66,$77,$87,$67,$56,$55,$66,$66
	db $65,$65,$66,$77,$78,$66,$55,$76,$76,$56,$45,$65,$76,$78,$66,$55
	db $76,$77,$56,$45,$55,$75,$77,$66,$56,$76,$87,$67,$45,$54,$65,$77
	db $66,$56,$76,$87,$77,$56,$55,$64,$76,$56,$55,$75,$88,$78,$56,$65
	db $65,$77,$55,$55,$75,$87,$77,$56,$66,$65,$77,$56,$55,$65,$87,$77
	db $56,$65,$66,$77,$56,$55,$65,$77,$77,$56,$66,$65,$76,$56,$55,$65
	db $77,$77,$56,$65,$65,$76,$66,$66,$75,$87,$77,$46,$65,$65,$66,$56
	db $65,$76,$88,$78,$56,$65,$55,$66,$56,$65,$75,$88,$88,$57,$65,$55
	db $66,$55,$55,$75,$88,$88,$67,$76,$56,$55,$45,$55,$75,$87,$88,$67
	db $76,$66,$66,$45,$55,$65,$87,$78,$67,$76,$66,$66,$45,$55,$65,$77
	db $77,$67,$66,$66,$66,$56,$55,$65,$77,$88,$67,$66,$66,$65,$55,$65
	db $65,$77,$88,$67,$66,$66,$55,$55,$54,$75,$87,$88,$67,$66,$56,$55
	db $45,$54,$75,$87,$88,$67,$66,$66,$55,$45,$54,$65,$77,$88,$77,$76
	db $66,$55,$44,$54,$65,$77,$88,$78,$77,$67,$55,$45,$54,$65,$77,$77
	db $77,$77,$67,$56,$45,$54,$65,$66,$77,$77,$77,$77,$66,$55,$54,$65
	db $66,$77,$77,$77,$77,$66,$55,$54,$65,$66,$77,$77,$76,$67,$66,$55
	db $54,$65,$66,$77,$77,$76,$67,$66,$55,$54,$65,$66,$77,$77,$76,$67
	db $56,$55,$44,$65,$66,$77,$77,$77,$77,$66,$55,$44,$55,$66,$77,$77
	db $77,$77,$66,$55,$44,$55,$66,$76,$77,$77,$78,$66,$55,$45,$55,$66
	db $66,$77,$77,$78,$66,$55,$45,$55,$65,$66,$77,$87,$78,$66,$56,$55
	db $55,$55,$66,$77,$77,$78,$67,$56,$56,$55,$55,$65,$76,$77,$78,$67
	db $55,$55,$66,$56,$55,$66,$77,$77,$67,$56,$55,$66,$66,$65,$66,$77
	db $78,$67,$56,$55,$65,$56,$65,$66,$77,$78,$67,$66,$55,$65,$56,$55
	db $66,$77,$77,$67,$66,$55,$65,$56,$55,$66,$77,$78,$77,$66,$66,$65
	db $56,$55,$65,$76,$77,$77,$66,$66,$65,$56,$55,$65,$76,$77,$77,$66
	db $66,$66,$56,$55,$65,$66,$77,$77,$66,$66,$66,$66,$55,$65,$66,$66
	db $76,$77,$66,$66,$66,$66,$66,$65,$66,$76,$67,$66,$66,$66,$66,$56
	db $65,$66,$77,$67,$66,$66,$66,$66,$56,$65,$76,$77,$66,$66,$66,$66
	db $66,$55,$65,$77,$67,$66,$66,$66,$56,$56,$65,$66,$77,$66,$66,$67
	db $56,$56,$65,$66,$66,$66,$76,$77,$67,$66,$65,$66,$66,$55,$66,$77
	db $67,$66,$66,$76,$67,$56,$55,$66,$67,$66,$66,$76,$77,$56,$65,$66
	db $66,$65,$66,$77,$77,$66,$66,$76,$66,$55,$56,$76,$77,$56,$65,$76
	db $67,$55,$56,$76,$77,$66,$55,$66,$77,$65,$56,$76,$77,$66,$65,$66
	db $66,$55,$56,$66,$77,$66,$65,$76,$77,$55,$56,$76,$67,$56,$65,$76
	db $77,$56,$66,$76,$67,$56,$54,$76,$77,$56,$66,$76,$77,$56,$55,$65
	db $76,$56,$66,$76,$77,$67,$55,$66,$76,$56,$66,$66,$77,$67,$55,$66
	db $76,$46,$65,$66,$77,$67,$55,$76,$76,$56,$65,$66,$77,$67,$55,$66
	db $76,$56,$65,$76,$88,$67,$56,$66,$76,$46,$65,$65,$77,$66,$55,$76
	db $77,$57,$65,$66,$77,$67,$55,$76,$77,$57,$65,$66,$77,$56,$44,$75
	db $77,$68,$76,$76,$77,$67,$44,$54,$66,$56,$65,$66,$88,$67,$55,$65
	db $66,$56,$64,$66,$88,$67,$55,$65,$77,$57,$65,$66,$88,$67,$55,$65
	db $66,$57,$54,$55,$77,$67,$55,$65,$67,$57,$54,$66,$77,$67,$55,$65
	db $77,$57,$54,$66,$98,$78,$56,$75,$77,$67,$44,$55,$76,$67,$55,$65
	db $77,$68,$65,$66,$77,$66,$45,$64,$66,$67,$55,$66,$87,$88,$56,$76
	db $78,$67,$54,$55,$76,$67,$55,$65,$77,$77,$55,$65,$76,$66,$45,$54
	db $76,$77,$55,$56,$76,$88,$67,$76,$77,$77,$55,$55,$75,$66,$55,$54
	db $77,$77,$56,$66,$76,$67,$45,$54,$66,$66,$45,$55,$86,$89,$78,$77
	db $77,$76,$46,$54,$65,$66,$66,$66,$76,$88,$56,$55,$65,$66,$56,$44
	db $66,$66,$56,$87,$77,$99,$78,$56,$66,$66,$55,$55,$55,$77,$77,$76
	db $66,$76,$56,$44,$55,$65,$66,$66,$66,$87,$68,$87,$78,$66,$66,$45
	db $65,$66,$56,$76,$88,$87,$67,$44,$56,$55,$45,$54,$65,$77,$77,$67
	db $77,$77,$66,$55,$66,$55,$67,$65,$77,$76,$67,$66,$66,$66,$55,$44
	db $65,$66,$66,$76,$88,$87,$78,$55,$55,$56,$44,$65,$76,$87,$88,$67
	db $77,$56,$45,$44,$44,$65,$56,$66,$97,$89,$88,$67,$66,$55,$45,$43
	db $55,$66,$88,$88,$87,$78,$66,$45,$44,$44,$55,$54,$76,$98,$98,$89
	db $77,$56,$55,$33,$54,$65,$86,$78,$87,$88,$67,$66,$34,$33,$54,$55
	db $76,$89,$87,$99,$67,$56,$55,$34,$65,$55,$86,$78,$67,$87,$56,$66
	db $34,$54,$65,$56,$85,$8A,$98,$9A,$57,$55,$34,$32,$55,$65,$87,$9A
	db $88,$89,$45,$54,$44,$43,$55,$65,$99,$87,$88,$78,$45,$56,$24,$64
	db $55,$75,$98,$78,$88,$57,$55,$65,$34,$54,$45,$96,$88,$A8,$89,$47
	db $55,$34,$53,$65,$66,$87,$88,$77,$57,$54,$44,$46,$65,$56,$A7,$87
	db $98,$77,$46,$55,$35,$64,$66,$76,$87,$67,$86,$56,$54,$44,$45,$65
	db $67,$99,$99,$99,$77,$55,$34,$22,$55,$66,$78,$99,$79,$68,$34,$22
	db $43,$54,$65,$A8,$9A,$9A,$69,$46,$44,$25,$63,$65,$97,$87,$78,$76
	db $57,$45,$45,$44,$45,$64,$78,$88,$AA,$88,$67,$54,$33,$33,$54,$86
	db $89,$99,$79,$56,$34,$33,$43,$64,$88,$99,$AA,$79,$45,$43,$32,$65
	db $75,$78,$98,$67,$56,$34,$54,$55,$66,$76,$8A,$77,$68,$66,$65,$55
	db $54,$76,$77,$67,$66,$65,$57,$54,$45,$65,$55,$86,$76,$A8,$78,$68
	db $56,$35,$44,$44,$76,$98,$98,$88,$66,$44,$23,$23,$63,$7A,$A8,$9B
	db $89,$56,$34,$30,$54,$74,$A8,$99,$79,$48,$34,$34,$44,$64,$89,$98
	db $9A,$66,$55,$55,$33,$66,$65,$89,$78,$56,$56,$44,$65,$55,$65,$88
	db $66,$87,$66,$77,$66,$44,$76,$55,$66,$66,$67,$68,$56,$66,$66,$44
	db $56,$65,$99,$87,$67,$76,$55,$55,$43,$86,$88,$87,$67,$66,$46,$33
	db $63,$88,$97,$8B,$67,$68,$25,$32,$44,$75,$99,$88,$98,$46,$33,$23
	db $33,$87,$88,$B8,$9A,$66,$45,$22,$64,$55,$77,$99,$68,$67,$24,$54
	db $54,$84,$88,$98,$7A,$46,$44,$45,$65,$67,$86,$99,$67,$54,$33,$53
	db $56,$66,$A9,$79,$88,$55,$54,$55,$54,$86,$87,$88,$67,$44,$45,$33
	db $55,$65,$A9,$89,$87,$66,$65,$55,$34,$75,$68,$77,$67,$66,$66,$34
	db $54,$55,$86,$77,$96,$89,$57,$56,$45,$65,$56,$65,$87,$78,$77,$46
	db $54,$45,$64,$65,$97,$9A,$78,$66,$56,$44,$34,$64,$88,$88,$78,$66
	db $55,$23,$53,$76,$A8,$99,$78,$77,$35,$33,$43,$76,$88,$88,$78,$56
	db $35,$12,$64,$87,$A9,$99,$87,$57,$33,$32,$53,$97,$89,$88,$68,$44
	db $23,$41,$76,$88,$9A,$89,$78,$36,$12,$43,$66,$98,$8A,$98,$57,$23
	db $11,$54,$76,$A9,$A9,$9A,$57,$23,$32,$53,$77,$88,$99,$79,$45,$22
	db $41,$66,$77,$9A,$9A,$79,$36,$22,$44,$65,$97,$98,$99,$46,$24,$12
	db $64,$66,$98,$A9,$89,$66,$33,$53,$64,$87,$88,$99,$68,$33,$22,$52
	db $76,$97,$99,$8A,$67,$24,$42,$55,$76,$89,$89,$78,$35,$22,$32,$66
	db $77,$99,$99,$68,$35,$33,$55,$75,$88,$98,$89,$46,$23,$23,$64,$76
	db $98,$A9,$79,$55,$33,$53,$76,$87,$98,$89,$57,$24,$22,$73,$76,$97
	db $98,$88,$56,$23,$53,$66,$88,$89,$89,$67,$23,$22,$62,$77,$97,$89
	db $89,$56,$23,$43,$65,$98,$99,$98,$68,$23,$22,$51,$87,$97,$9A,$89
	db $57,$24,$32,$65,$97,$AA,$89,$78,$24,$22,$41,$76,$98,$9A,$89,$57
	db $24,$21,$54,$87,$AA,$8A,$78,$35,$21,$31,$75,$98,$9A,$99,$68,$34
	db $22,$43,$86,$99,$9A,$88,$46,$23,$31,$64,$97,$9A,$99,$79,$35,$22
	db $32,$75,$98,$99,$88,$57,$34,$21,$53,$86,$99,$89,$89,$47,$34,$22
	db $64,$98,$99,$88,$67,$45,$32,$43,$76,$89,$89,$88,$57,$34,$23,$63
	db $97,$99,$78,$67,$45,$23,$34,$65,$99,$89,$88,$67,$44,$23,$53,$97
	db $89,$88,$67,$55,$33,$34,$65,$99,$99,$78,$67,$45,$34,$43,$87,$89
	db $78,$66,$56,$34,$44,$54,$98,$88,$78,$67,$55,$44,$43,$86,$99,$88
	db $67,$55,$35,$44,$54,$A7,$98,$88,$76,$55,$44,$43,$75,$99,$78,$67
	db $55,$45,$53,$54,$96,$89,$88,$67,$56,$45,$34,$65,$98,$89,$67,$55
	db $55,$33,$45,$66,$9A,$89,$67,$56,$45,$45,$64,$97,$89,$77,$46,$55
	db $35,$54,$65,$A7,$99,$67,$65,$54,$54,$43,$86,$99,$78,$66,$54,$45
	db $32,$55,$77,$9B,$78,$66,$46,$44,$45,$74,$A8,$89,$67,$46,$55,$24
	db $63,$76,$A8,$88,$66,$66,$44,$44,$54,$97,$99,$77,$56,$55,$44,$32
	db $66,$88,$9A,$68,$66,$46,$44,$54,$75,$A9,$79,$66,$56,$44,$34,$62
	db $97,$98,$89,$66,$66,$34,$43,$55,$97,$99,$78,$66,$35,$34,$13,$85
	db $88,$A8,$78,$66,$56,$33,$53,$75,$98,$89,$77,$67,$34,$33,$32,$88
	db $89,$99,$77,$66,$35,$32,$65,$87,$99,$78,$77,$46,$33,$33,$63,$89
	db $78,$99,$68,$55,$24,$43,$76,$87,$99,$88,$68,$34,$32,$43,$84,$89
	db $88,$9A,$57,$44,$23,$64,$77,$97,$99,$89,$56,$13,$32,$44,$95,$98
	db $A7,$8A,$46,$34,$32,$65,$77,$98,$99,$78,$45,$22,$43,$44,$96,$88
	db $B9,$79,$45,$33,$43,$65,$77,$99,$9A,$67,$34,$32,$44,$44,$88,$99
	db $AA,$57,$44,$44,$54,$76,$87,$AA,$79,$46,$34,$43,$54,$74,$88,$99
	db $7A,$46,$44,$44,$55,$66,$98,$99,$67,$45,$33,$44,$44,$85,$98,$98
	db $68,$45,$54,$54,$65,$76,$99,$79,$56,$44,$43,$54,$45,$97,$89,$88
	db $56,$54,$55,$54,$76,$87,$89,$67,$56,$45,$54,$55,$64,$89,$67,$69
	db $55,$55,$55,$65,$77,$97,$78,$66,$56,$44,$55,$45,$96,$78,$86,$57
	db $65,$56,$55,$66,$76,$88,$57,$66,$56,$54,$56,$54,$88,$57,$87,$65
	db $76,$55,$65,$67,$86,$78,$65,$66,$45,$65,$55,$84,$67,$75,$68,$66
	db $67,$55,$77,$56,$77,$57,$66,$67,$65,$56,$45,$78,$56,$86,$65,$86
	db $56,$75,$67,$65,$77,$55,$77,$56,$66,$56,$84,$67,$64,$58,$66,$68
	db $55,$87,$57,$76,$57,$65,$66,$55,$66,$55,$79,$46,$77,$56,$76,$56
	db $76,$79,$75,$77,$55,$66,$46,$65,$56,$87,$57,$75,$66,$65,$66,$75
	db $88,$67,$67,$66,$45,$44,$55,$66,$98,$77,$76,$55,$64,$45,$65,$88
	db $87,$79,$56,$46,$23,$64,$55,$A8,$78,$96,$56,$53,$45,$54,$98,$88
	db $89,$57,$55,$24,$43,$56,$98,$89,$88,$66,$44,$44,$54,$87,$98,$98
	db $78,$44,$35,$33,$75,$88,$98,$69,$56,$45,$33,$64,$76,$99,$89,$78
	db $45,$43,$43,$65,$88,$99,$78,$66,$45,$34,$54,$76,$98,$9A,$67,$46
	db $23,$44,$65,$98,$88,$88,$67,$54,$44,$53,$76,$98,$89,$67,$55,$44
	db $54,$65,$87,$88,$78,$67,$55,$44,$54,$76,$78,$77,$57,$65,$65,$65
	db $65,$76,$77,$67,$66,$66,$55,$66,$67,$66,$56,$75,$66,$76,$67,$66
	db $66,$56,$66,$65,$77,$66,$77,$56,$55,$54,$65,$87,$78,$77,$67,$55
	db $55,$54,$76,$87,$89,$66,$55,$43,$54,$65,$88,$88,$77,$67,$56,$44
	db $55,$76,$89,$78,$66,$65,$44,$64,$65,$87,$78,$67,$67,$55,$54,$54
	db $77,$77,$67,$76,$65,$65,$55,$66,$67,$77,$77,$66,$66,$54,$56,$66
	db $57,$76,$76,$97,$56,$55,$55,$66,$67,$76,$77,$77,$57,$45,$45,$65
	db $76,$97,$87,$67,$55,$55,$65,$66,$66,$87,$69,$56,$35,$64,$64,$86
	db $87,$88,$67,$56,$55,$55,$56,$76,$88,$78,$46,$55,$54,$86,$65,$87
	db $77,$77,$57,$54,$55,$65,$67,$77,$58,$66,$54,$86,$65,$66,$66,$88
	db $67,$66,$55,$75,$57,$66,$56,$76,$66,$86,$66,$66,$55,$56,$77,$77
	db $66,$76,$67,$56,$45,$74,$66,$96,$68,$67,$56,$55,$66,$66,$77,$76
	db $88,$66,$45,$43,$55,$76,$79,$77,$67,$55,$55,$55,$76,$76,$88,$77
	db $56,$24,$54,$74,$A8,$86,$77,$56,$56,$35,$64,$76,$97,$79,$67,$46
	db $53,$44,$85,$69,$78,$68,$66,$56,$53,$65,$76,$89,$68,$67,$34,$64
	db $53,$96,$76,$78,$67,$67,$46,$55,$55,$76,$78,$77,$56,$54,$56,$64
	db $77,$76,$77,$66,$77,$56,$66,$55,$76,$77,$76,$56,$65,$57,$65,$57
	db $75,$77,$76,$77,$66,$67,$45,$66,$66,$76,$56,$75,$57,$65,$36,$66
	db $67,$87,$77,$76,$56,$44,$66,$66,$77,$56,$76,$47,$66,$46,$76,$77
	db $86,$77,$66,$57,$44,$66,$76,$77,$56,$66,$46,$65,$46,$86,$77,$76
	db $77,$65,$57,$44,$66,$77,$77,$46,$55,$56,$65,$66,$85,$87,$76,$66
	db $56,$56,$55,$76,$87,$77,$45,$44,$66,$65,$76,$75,$88,$66,$66,$55
	db $66,$66,$76,$87,$67,$55,$44,$64,$66,$76,$67,$77,$67,$66,$55,$65
	db $67,$66,$67,$67,$56,$45,$53,$66,$76,$77,$76,$77,$65,$66,$65,$77
	db $66,$67,$77,$66,$55,$43,$75,$66,$76,$65,$77,$67,$77,$56,$76,$66
	db $76,$76,$67,$56,$45,$64,$57,$66,$57,$87,$78,$76,$56,$64,$66,$66
	db $67,$77,$67,$56,$44,$55,$65,$76,$75,$98,$67,$67,$45,$66,$66,$76
	db $76,$77,$66,$34,$64,$54,$86,$67,$88,$69,$77,$45,$64,$66,$76,$67
	db $78,$67,$35,$44,$55,$75,$68,$86,$88,$76,$57,$44,$67,$66,$77,$76
	db $77,$56,$44,$64,$64,$87,$66,$88,$68,$67,$55,$75,$66,$76,$67,$77
	db $57,$45,$54,$45,$66,$57,$87,$78,$77,$56,$64,$66,$76,$67,$76,$67
	db $56,$44,$45,$54,$67,$86,$88,$77,$67,$45,$56,$66,$77,$76,$77,$67
	db $44,$54,$53,$86,$76,$88,$78,$78,$45,$65,$65,$86,$77,$77,$67,$45
	db $53,$33,$75,$67,$88,$68,$77,$56,$54,$55,$86,$88,$77,$67,$46,$43
	db $25,$64,$68,$98,$78,$76,$56,$54,$55,$76,$78,$78,$57,$55,$34,$45
	db $54,$78,$97,$88,$76,$66,$55,$56,$65,$78,$88,$67,$55,$44,$46,$54
	db $67,$97,$88,$76,$66,$55,$56,$55,$77,$87,$68,$55,$35,$46,$54,$66
	db $95,$88,$87,$66,$56,$56,$55,$66,$87,$78,$56,$45,$47,$54,$47,$85
	db $87,$87,$67,$66,$56,$55,$56,$86,$78,$66,$55,$57,$54,$46,$74,$87
	db $88,$78,$66,$57,$54,$55,$75,$77,$67,$55,$48,$54,$37,$74,$76,$97
	db $88,$66,$57,$54,$46,$65,$77,$77,$55,$67,$54,$46,$63,$76,$97,$88
	db $67,$67,$45,$46,$65,$66,$77,$65,$58,$65,$37,$64,$66,$96,$88,$77
	db $68,$55,$46,$64,$66,$76,$66,$58,$65,$47,$63,$65,$86,$88,$77,$68
	db $66,$57,$54,$65,$65,$65,$58,$76,$38,$65,$55,$86,$87,$77,$68,$76
	db $57,$65,$55,$66,$55,$68,$75,$59,$64,$65,$75,$87,$76,$68,$76,$68
	db $55,$55,$54,$64,$57,$76,$59,$66,$55,$75,$76,$76,$68,$77,$68,$66
	db $45,$55,$44,$57,$76,$69,$75,$66,$64,$77,$66,$68,$76,$79,$66,$55
	db $44,$44,$57,$76,$69,$77,$66,$65,$76,$66,$67,$76,$78,$77,$55,$44
	db $44,$56,$65,$89,$86,$66,$64,$76,$66,$67,$76,$79,$76,$56,$44,$44
	db $56,$65,$78,$86,$77,$65,$66,$66,$67,$66,$78,$77,$56,$45,$44,$66
	db $64,$87,$86,$77,$55,$66,$56,$67,$66,$88,$76,$66,$44,$44,$65,$54
	db $87,$76,$77,$66,$66,$56,$77,$65,$87,$77,$67,$55,$44,$64,$55,$86
	db $67,$77,$56,$66,$66,$76,$66,$86,$77,$67,$45,$44,$64,$55,$85,$67
	db $78,$67,$76,$66,$76,$56,$76,$77,$77,$56,$54,$54,$55,$65,$67,$77
	db $67,$66,$66,$66,$67,$76,$78,$77,$56,$44,$54,$46,$65,$57,$87,$67
	db $76,$66,$66,$67,$66,$78,$77,$66,$44,$44,$46,$55,$67,$76,$77,$66
	db $66,$56,$66,$66,$87,$67,$66,$45,$44,$56,$55,$67,$75,$77,$67,$66
	db $57,$66,$67,$86,$77,$76,$46,$54,$65,$55,$75,$66,$76,$67,$66,$67
	db $66,$77,$76,$78,$66,$56,$45,$55,$66,$55,$66,$66,$67,$66,$66,$66
	db $77,$77,$77,$67,$56,$55,$55,$65,$56,$55,$55,$66,$56,$66,$66,$77
	db $77,$77,$77,$66,$65,$66,$65,$66,$56,$56,$55,$56,$55,$66,$76,$77
	db $78,$77,$66,$66,$66,$66,$66,$66,$66,$55,$55,$55,$65,$66,$76,$77
	db $77,$67,$66,$66,$66,$66,$66,$66,$66,$56,$55,$55,$56,$65,$67,$76
	db $67,$66,$66,$66,$77,$66,$67,$66,$66,$56,$55,$66,$66,$67,$66,$66
	db $66,$66,$66,$77,$67,$77,$67,$66,$66,$55,$66,$66,$77,$66,$66,$66
	db $55,$55,$66,$66,$76,$77,$66,$66,$66,$66,$66,$77,$76,$67,$66,$66
	db $65,$66,$66,$66,$66,$66,$66,$66,$66,$66,$77,$77,$67,$66,$66,$66
	db $66,$66,$66,$66,$66,$66,$55,$55,$65,$66,$77,$77,$66,$66,$66,$66
	db $66,$76,$77,$66,$66,$66,$55,$55,$66,$66,$66,$66,$66,$66,$66,$66
	db $77,$77,$67,$66,$66,$66,$66,$66,$66,$66,$66,$55,$55,$55,$66,$77
	db $77,$67,$66,$66,$66,$66,$66,$77,$67,$66,$66,$55,$55,$55,$66,$66
	db $66,$66,$66,$66,$66,$77,$77,$77,$67,$66,$56,$66,$66,$66,$66,$66
	db $56,$55,$55,$66,$66,$77,$77,$66,$66,$66,$66,$66,$66,$66,$66,$66
	db $66,$56,$56,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66
	db $66,$66,$66,$66,$66,$66,$66,$55,$65,$66,$66,$76,$77,$76,$66,$66
	db $66,$66,$66,$76,$66,$66,$56,$55,$65,$55,$66,$66,$66,$66,$66,$66
	db $66,$66,$66,$77,$66,$66,$56,$66,$66,$66,$65,$66,$55,$66,$66,$66
	db $77,$77,$77,$66,$66,$56,$66,$67,$66,$66,$55,$45,$66,$55,$86,$66
	db $76,$88,$67,$76,$56,$65,$66,$66,$88,$66,$56,$34,$63,$66,$75,$88
	db $78,$77,$57,$54,$56,$55,$76,$77,$87,$67,$45,$23,$53,$66,$96,$99
	db $89,$67,$46,$43,$54,$66,$87,$99,$78,$56,$34,$12,$64,$76,$A8,$A9
	db $79,$67,$34,$43,$54,$87,$98,$89,$67,$34,$23,$22,$76,$88,$AA,$99
	db $67,$55,$33,$54,$75,$98,$99,$68,$46,$33,$33,$42,$87,$88,$AA,$78
	db $45,$44,$43,$65,$86,$99,$9A,$56,$34,$32,$44,$73,$88,$98,$8A,$57
	db $44,$44,$64,$77,$88,$98,$78,$45,$34,$33,$45,$95,$88,$A7,$78,$36
	db $43,$44,$76,$88,$89,$87,$57,$54,$33,$54,$54,$9A,$78,$89,$66,$45
	db $44,$54,$97,$98,$78,$67,$45,$45,$33,$55,$A4,$89,$97,$47,$56,$54
	db $45,$75,$78,$99,$67,$56,$64,$45,$45,$35,$98,$78,$89,$55,$55,$64
	db $55,$86,$87,$89,$67,$46,$54,$54,$56,$72,$7A,$87,$5A,$55,$44,$56
	db $76,$77,$97,$88,$66,$54,$45,$55,$47,$95,$67,$A6,$57,$56,$53,$56
	db $97,$68,$88,$67,$56,$64,$33,$75,$45,$79,$66,$78,$76,$35,$64,$75
	db $98,$76,$68,$56,$56,$56,$43,$67,$83,$59,$75,$58,$77,$44,$56,$76
	db $89,$87,$56,$65,$65,$46,$64,$36,$B6,$47,$95,$55,$67,$64,$46,$97
	db $68,$69,$45,$55,$86,$56,$66,$43,$7A,$45,$67,$65,$56,$77,$65,$87
	db $86,$59,$43,$55,$76,$66,$47,$91,$59,$85,$46,$66,$64,$69,$76,$68
	db $97,$57,$43,$65,$66,$77,$26,$96,$46,$97,$54,$56,$94,$67,$97,$55
	db $79,$56,$44,$65,$65,$88,$62,$59,$65,$6A,$55,$45,$77,$86,$89,$74
	db $68,$64,$45,$55,$65,$58,$A5,$36,$A5,$56,$56,$63,$57,$A7,$59,$77
	db $56,$65,$55,$44,$76,$56,$8B,$35,$88,$74,$37,$74,$65,$A8,$66,$68
	db $54,$55,$56,$53,$67,$A3,$5A,$64,$57,$66,$45,$57,$76,$79,$97,$57
	db $64,$55,$56,$64,$37,$B6,$57,$86,$54,$57,$74,$45,$96,$67,$99,$46
	db $54,$66,$55,$65,$34,$8A,$66,$79,$64,$46,$86,$44,$87,$76,$8A,$65
	db $45,$56,$64,$46,$61,$5A,$87,$69,$56,$54,$67,$54,$66,$96,$79,$77
	db $45,$55,$74,$26,$A2,$58,$A8,$69,$47,$64,$46,$66,$55,$98,$87,$69
	db $45,$44,$65,$15,$94,$76,$A8,$89,$47,$64,$45,$56,$64,$89,$A7,$6A
	db $46,$33,$46,$24,$85,$86,$A8,$8A,$47,$54,$35,$45,$75,$88,$A8,$7A
	db $56,$32,$45,$44,$74,$87,$A7,$9A,$57,$43,$35,$53,$66,$87,$A9,$7A
	db $56,$33,$44,$44,$74,$87,$98,$9A,$58,$44,$34,$63,$67,$86,$99,$89
	db $57,$24,$43,$44,$76,$86,$98,$9A,$58,$45,$33,$64,$57,$86,$89,$88
	db $67,$24,$42,$44,$76,$76,$98,$99,$68,$45,$33,$65,$67,$76,$88,$87
	db $67,$34,$32,$44,$87,$76,$98,$88,$68,$45,$42,$66,$76,$77,$78,$76
	db $68,$44,$33,$54,$87,$76,$98,$88,$78,$45,$43,$65,$87,$67,$78,$66
	db $67,$44,$33,$55,$85,$68,$87,$78,$78,$45,$45,$64,$87,$67,$67,$66
	db $76,$46,$33,$55,$76,$67,$87,$77,$77,$66,$45,$75,$77,$68,$56,$66
	db $76,$56,$44,$64,$76,$68,$66,$77,$66,$77,$56,$85,$77,$68,$55,$66
	db $76,$56,$35,$64,$77,$78,$65,$66,$65,$67,$55,$76,$67,$77,$55,$66
	db $76,$66,$45,$54,$77,$77,$55,$66,$65,$77,$76,$65,$66,$76,$46,$75
	db $66,$76,$56,$55,$77,$77,$56,$56,$66,$77,$67,$55,$66,$76,$57,$65
	db $66,$66,$56,$55,$76,$76,$57,$65,$66,$87,$68,$56,$65,$66,$58,$65
	db $66,$65,$67,$55,$75,$66,$67,$65,$66,$87,$68,$55,$64,$76,$77,$65
	db $66,$65,$67,$55,$65,$67,$76,$65,$76,$77,$67,$56,$54,$67,$77,$56
	db $66,$65,$67,$56,$65,$67,$86,$66,$76,$76,$76,$66,$54,$77,$87,$57
	db $66,$65,$67,$56,$55,$67,$86,$57,$76,$56,$66,$66,$55,$77,$87,$57
	db $65,$55,$77,$56,$55,$76,$87,$58,$65,$56,$66,$66,$55,$76,$77,$67
	db $64,$56,$76,$66,$56,$75,$77,$68,$65,$56,$65,$67,$56,$76,$67,$67
	db $55,$56,$76,$66,$56,$65,$77,$77,$55,$66,$75,$77,$56,$66,$67,$76
	db $55,$66,$65,$77,$56,$65,$77,$77,$56,$56,$65,$77,$56,$66,$66,$76
	db $57,$66,$65,$76,$66,$55,$77,$76,$57,$65,$65,$76,$66,$65,$66,$76
	db $57,$66,$66,$66,$66,$55,$76,$66,$67,$65,$66,$76,$66,$56,$65,$76
	db $67,$65,$66,$66,$57,$56,$66,$66,$67,$65,$66,$66,$67,$56,$66,$66
	db $77,$66,$67,$66,$66,$56,$65,$66,$76,$65,$76,$65,$66,$56,$65,$66
	db $77,$57,$67,$66,$66,$66,$65,$66,$77,$67,$76,$65,$65,$65,$55,$66
	db $67,$77,$77,$66,$65,$56,$66,$66,$76,$77,$87,$67,$55,$55,$66,$67
	db $66,$66,$76,$66,$55,$66,$66,$77,$76,$76,$66,$66,$56,$66,$66,$76
	db $66,$67,$66,$56,$55,$66,$66,$76,$77,$76,$66,$56,$55,$65,$66,$76
	db $66,$67,$66,$56,$55,$65,$66,$77,$67,$66,$66,$66,$55,$66,$76,$76
	db $66,$56,$66,$66,$55,$66,$66,$77,$67,$66,$66,$66,$65,$76,$66,$76
	db $66,$66,$56,$56,$66,$76,$66,$66,$66,$66,$66,$56,$65,$66,$77,$76
	db $66,$76,$56,$55,$44,$64,$77,$67,$67,$76,$77,$66,$66,$76,$77,$67
	db $56,$55,$66,$56,$65,$64,$66,$77,$66,$76,$77,$66,$66,$55,$66,$77
	db $57,$56,$65,$66,$66,$65,$66,$66,$67,$56,$65,$76,$66,$76,$76,$66
	db $67,$55,$66,$56,$66,$66,$56,$55,$66,$76,$76,$77,$66,$76,$66,$66
	db $77,$66,$77,$56,$55,$45,$44,$65,$68,$77,$97,$88,$56,$66,$66,$65
	db $67,$66,$76,$55,$55,$56,$54,$76,$77,$87,$77,$67,$76,$65,$56,$66
	db $67,$66,$66,$46,$44,$54,$67,$67,$77,$88,$67,$77,$66,$65,$66,$65
	db $77,$56,$55,$45,$75,$65,$75,$87,$67,$86,$67,$66,$56,$66,$76,$66
	db $56,$45,$76,$75,$75,$77,$66,$76,$66,$56,$66,$76,$77,$76,$66,$45
	db $74,$75,$76,$68,$67,$74,$66,$46,$66,$77,$67,$67,$56,$34,$65,$85
	db $86,$78,$58,$65,$65,$44,$76,$68,$76,$67,$46,$34,$67,$86,$86,$87
	db $46,$65,$55,$54,$76,$67,$86,$66,$45,$33,$68,$88,$87,$87,$45,$56
	db $55,$65,$87,$67,$66,$65,$44,$62,$78,$79,$88,$68,$44,$55,$66,$76
	db $88,$67,$56,$46,$23,$85,$97,$87,$88,$46,$54,$65,$66,$87,$78,$66
	db $54,$35,$52,$88,$79,$87,$68,$33,$44,$66,$87,$99,$68,$45,$55,$24
	db $85,$A8,$78,$87,$36,$43,$65,$66,$97,$78,$56,$54,$45,$32,$89,$8A
	db $76,$77,$24,$54,$76,$76,$88,$68,$45,$55,$24,$84,$A8,$78,$87,$47
	db $43,$65,$67,$87,$79,$55,$54,$45,$62,$88,$7A,$67,$78,$33,$64,$77
	db $77,$99,$57,$44,$65,$24,$87,$99,$67,$85,$36,$43,$86,$77,$86,$69
	db $44,$64,$46,$73,$A8,$78,$66,$68,$33,$74,$77,$67,$98,$46,$44,$66
	db $44,$87,$7A,$57,$86,$35,$53,$87,$77,$86,$58,$34,$65,$55,$67,$99
	db $77,$65,$45,$44,$86,$77,$77,$78,$35,$54,$55,$68,$88,$78,$66,$34
	db $55,$75,$77,$86,$67,$46,$53,$64,$78,$78,$78,$66,$34,$55,$76,$77
	db $77,$57,$55,$44,$73,$87,$79,$68,$57,$44,$54,$77,$77,$88,$66,$45
	db $35,$74,$86,$98,$68,$56,$54,$45,$66,$77,$88,$66,$45,$44,$67,$76
	db $97,$78,$35,$65,$65,$65,$77,$67,$66,$44,$53,$79,$58,$78,$87,$44
	db $65,$66,$66,$77,$56,$67,$56,$63,$89,$58,$66,$77,$55,$66,$77,$76
	db $66,$46,$66,$76,$63,$79,$59,$56,$66,$65,$66,$76,$66,$66,$56,$55
	db $75,$64,$78,$68,$57,$65,$65,$67,$67,$77,$66,$55,$46,$65,$65,$68
	db $68,$67,$55,$54,$77,$77,$66,$66,$45,$45,$65,$65,$79,$67,$67,$66
	db $54,$66,$77,$67,$76,$55,$45,$65,$55,$97,$77,$66,$66,$55,$75,$86
	db $67,$67,$66,$55,$64,$56,$95,$77,$56,$67,$67,$65,$76,$68,$67,$66
	db $55,$55,$56,$55,$69,$58,$75,$76,$45,$66,$77,$66,$67,$66,$65,$66
	db $45,$86,$76,$65,$76,$56,$65,$67,$56,$77,$67,$65,$66,$56,$46,$67
	db $76,$75,$65,$66,$66,$66,$76,$66,$66,$66,$66,$66,$55,$67,$57,$66
	db $76,$56,$66,$77,$66,$66,$66,$76,$67,$55,$66,$57,$56,$67,$66,$56
	db $67,$66,$76,$66,$76,$67,$55,$66,$56,$65,$66,$66,$66,$65,$66,$76
	db $77,$77,$66,$66,$66,$66,$66,$66,$66,$66,$56,$66,$66,$77,$68,$67
	db $66,$66,$66,$76,$67,$56,$56,$45,$65,$66,$66,$88,$66,$75,$65,$65
	db $87,$77,$77,$55,$44,$55,$55,$77,$77,$67,$66,$56,$56,$76,$87,$78
	db $67,$55,$54,$54,$66,$66,$77,$67,$66,$56,$56,$76,$77,$78,$66,$56
	db $55,$66,$65,$66,$67,$57,$56,$66,$67,$77,$77,$67,$67,$56,$66,$56
	db $65,$56,$56,$56,$66,$66,$67,$78,$67,$66,$66,$76,$76,$77,$66,$55
	db $44,$54,$65,$76,$87,$87,$76,$65,$65,$65,$87,$78,$67,$56,$45,$44
	db $54,$66,$77,$68,$67,$56,$56,$66,$78,$77,$78,$66,$55,$55,$55,$56
	db $66,$66,$76,$66,$76,$86,$76,$76,$66,$76,$67,$66,$66,$56,$45,$53
	db $55,$66,$68,$68,$67,$57,$56,$66,$77,$77,$77,$57,$56,$44,$34,$75
	db $66,$86,$76,$76,$76,$65,$66,$77,$77,$77,$76,$56,$55,$45,$43,$56
	db $66,$79,$68,$67,$47,$66,$76,$76,$87,$67,$67,$55,$44,$34,$74,$75
	db $86,$76,$66,$75,$75,$67,$78,$78,$78,$56,$45,$44,$55,$45,$58,$67
	db $79,$77,$56,$56,$75,$86,$87,$87,$68,$76,$55,$43,$43,$83,$86,$87
	db $77,$67,$65,$45,$66,$78,$89,$78,$56,$46,$34,$44,$35,$79,$77,$77
	db $65,$45,$65,$84,$97,$88,$78,$57,$64,$45,$53,$54,$A4,$78,$66,$57
	db $66,$65,$46,$67,$79,$88,$77,$46,$56,$35,$45,$44,$79,$66,$87,$65
	db $44,$65,$84,$A8,$88,$78,$67,$64,$44,$53,$65,$A5,$77,$66,$47,$45
	db $53,$57,$89,$8A,$89,$66,$35,$45,$34,$66,$56,$7A,$66,$76,$54,$34
	db $76,$96,$A8,$87,$68,$56,$53,$54,$64,$56,$A6,$66,$75,$36,$45,$74
	db $77,$99,$7A,$78,$66,$34,$54,$55,$76,$95,$6A,$56,$38,$43,$53,$77
	db $99,$9A,$86,$66,$35,$43,$55,$75,$76,$7B,$56,$67,$32,$54,$78,$88
	db $A9,$67,$67,$46,$43,$55,$65,$66,$9A,$56,$76,$23,$43,$87,$87,$A8
	db $67,$67,$46,$43,$64,$55,$66,$AB,$56,$75,$24,$43,$87,$87,$A8,$68
	db $66,$56,$43,$54,$55,$66,$9B,$57,$76,$35,$33,$86,$76,$A8,$68,$66
	db $66,$44,$54,$45,$75,$9C,$58,$76,$44,$43,$77,$67,$A7,$78,$66,$57
	db $45,$54,$44,$93,$9C,$67,$67,$34,$42,$68,$67,$98,$78,$66,$57,$44
	db $55,$43,$94,$9B,$67,$57,$34,$63,$68,$56,$88,$78,$65,$67,$45,$55
	db $23,$A5,$8A,$76,$67,$34,$83,$68,$64,$77,$68,$76,$68,$45,$55,$24
	db $96,$89,$87,$67,$24,$85,$67,$54,$77,$68,$86,$78,$44,$44,$53,$77
	db $78,$68,$67,$33,$77,$57,$66,$76,$66,$87,$68,$45,$34,$85,$67,$85
	db $67,$66,$74,$78,$55,$57,$66,$66,$88,$68,$45,$33,$87,$57,$76,$66
	db $55,$87,$68,$64,$66,$46,$75,$88,$67,$45,$63,$77,$56,$56,$55,$65
	db $9A,$58,$56,$65,$45,$75,$78,$67,$45,$86,$66,$75,$56,$44,$95,$99
	db $66,$56,$56,$54,$76,$77,$56,$54,$79,$46,$66,$55,$34,$A7,$89,$76
	db $66,$35,$64,$77,$66,$56,$84,$89,$46,$56,$55,$43,$99,$69,$77,$77
	db $35,$64,$78,$55,$54,$A5,$89,$66,$45,$44,$73,$99,$67,$77,$78,$44
	db $65,$67,$45,$44,$A7,$88,$66,$44,$34,$84,$88,$66,$77,$67,$55,$66
	db $56,$35,$44,$99,$79,$77,$45,$33,$96,$89,$66,$77,$56,$65,$76,$55
	db $44,$44,$99,$69,$76,$46,$33,$97,$78,$66,$76,$56,$86,$77,$45,$44
	db $54,$89,$69,$66,$56,$34,$87,$77,$66,$66,$56,$86,$77,$55,$44,$53
	db $89,$68,$66,$56,$45,$87,$77,$66,$66,$66,$87,$77,$55,$44,$53,$89
	db $58,$66,$56,$55,$78,$77,$65,$55,$65,$77,$77,$56,$44,$53,$89,$47
	db $66,$66,$66,$79,$68,$55,$65,$65,$78,$77,$56,$45,$52,$89,$58,$55
	db $56,$66,$89,$68,$54,$65,$66,$77,$77,$66,$45,$53,$89,$58,$45,$56
	db $66,$89,$79,$44,$65,$67,$76,$77,$66,$55,$43,$89,$59,$44,$55,$66
	db $99,$89,$44,$64,$67,$66,$77,$66,$55,$54,$89,$58,$44,$55,$66,$98
	db $89,$45,$64,$67,$56,$66,$66,$56,$44,$89,$58,$44,$54,$65,$A7,$89
	db $45,$65,$77,$56,$65,$67,$56,$45,$98,$67,$54,$44,$65,$A6,$89,$56
	db $55,$76,$56,$64,$77,$67,$45,$A7,$67,$54,$44,$64,$A6,$8A,$56,$55
	db $66,$56,$55,$66,$67,$45,$96,$78,$55,$44,$64,$85,$8A,$57,$65,$76
	db $56,$55,$76,$67,$55,$85,$79,$45,$44,$54,$76,$8A,$58,$65,$66,$56
	db $55,$66,$66,$56,$64,$79,$47,$44,$54,$66,$9A,$78,$55,$65,$67,$55
	db $66,$76,$56,$54,$89,$58,$44,$54,$66,$A8,$88,$55,$65,$67,$55,$65
	db $76,$57,$45,$98,$78,$43,$54,$66,$A6,$88,$56,$65,$77,$56,$65,$77
	db $56,$45,$A6,$88,$44,$54,$65,$96,$89,$57,$55,$77,$56,$55,$76,$67
	db $55,$74,$8A,$36,$44,$65,$67,$79,$68,$55,$76,$57,$55,$75,$68,$45
	db $55,$8A,$47,$43,$55,$67,$98,$77,$55,$65,$67,$65,$75,$68,$45,$45
	db $A7,$67,$43,$54,$86,$96,$87,$56,$65,$76,$56,$65,$78,$56,$54,$94
	db $69,$35,$55,$76,$67,$79,$67,$55,$76,$57,$55,$77,$56,$55,$55,$6A
	db $36,$54,$76,$67,$87,$76,$55,$65,$67,$65,$76,$67,$46,$45,$97,$65
	db $63,$76,$77,$86,$67,$56,$66,$77,$56,$67,$68,$56,$55,$84,$57,$46
	db $56,$77,$68,$68,$66,$56,$66,$67,$76,$76,$66,$55,$44,$68,$56,$65
	db $86,$78,$76,$75,$66,$65,$76,$76,$76,$67,$45,$34,$85,$76,$54,$86
	db $88,$65,$66,$67,$55,$76,$67,$67,$67,$45,$33,$93,$68,$46,$76,$78
	db $56,$67,$68,$45,$66,$68,$77,$77,$55,$44,$63,$69,$47,$65,$77,$57
	db $66,$76,$55,$75,$87,$87,$77,$56,$34,$43,$88,$67,$64,$76,$67,$75
	db $76,$56,$65,$87,$77,$77,$57,$44,$43,$96,$77,$55,$66,$77,$65,$66
	db $57,$55,$86,$78,$77,$67,$44,$33,$94,$78,$56,$66,$77,$56,$57,$67
	db $55,$76,$78,$77,$77,$45,$33,$83,$89,$56,$65,$77,$57,$67,$67,$45
	db $65,$78,$77,$77,$46,$33,$53,$8A,$57,$55,$67,$58,$77,$76,$55,$65
	db $87,$77,$77,$57,$23,$42,$9A,$58,$55,$66,$77,$86,$76,$55,$55,$76
	db $77,$77,$67,$34,$32,$A8,$68,$64,$75,$76,$85,$67,$56,$55,$76,$77
	db $77,$68,$35,$33,$A6,$79,$44,$65,$76,$76,$68,$46,$55,$76,$77,$77
	db $77,$35,$23,$A5,$89,$44,$65,$76,$76,$79,$46,$54,$76,$67,$77,$88
	db $46,$23,$94,$88,$45,$64,$66,$76,$89,$47,$43,$76,$67,$76,$77,$56
	db $33,$93,$88,$46,$54,$66,$76,$8A,$57,$43,$65,$67,$66,$77,$66,$34
	db $84,$88,$46,$54,$65,$66,$99,$58,$34,$65,$77,$66,$77,$66,$45,$84
	db $89,$46,$54,$55,$66,$99,$69,$44,$65,$77,$56,$76,$56,$44,$94,$89
	db $46,$54,$55,$66,$99,$79,$34,$55,$67,$66,$66,$66,$44,$A5,$99,$46
	db $44,$55,$65,$99,$79,$45,$65,$67,$66,$66,$55,$44,$B5,$9A,$46,$44
	db $55,$65,$99,$79,$55,$65,$67,$66,$66,$45,$44,$A5,$AA,$46,$44,$54
	db $65,$88,$79,$55,$66,$67,$66,$66,$45,$34,$A6,$AA,$56,$44,$44,$74
	db $88,$79,$55,$76,$67,$66,$66,$45,$34,$A6,$A9,$57,$45,$44,$64,$88
	db $78,$55,$76,$77,$67,$66,$45,$23,$A6,$A9,$67,$55,$44,$64,$88,$68
	db $65,$76,$77,$67,$56,$44,$23,$A6,$9A,$66,$66,$44,$63,$88,$57,$64
	db $76,$77,$67,$56,$34,$23,$96,$A9,$66,$66,$45,$63,$87,$58,$54,$77
	db $78,$78,$57,$34,$33,$95,$A9,$66,$76,$55,$54,$87,$58,$44,$76,$78
	db $77,$67,$34,$23,$96,$98,$66,$76,$66,$64,$87,$58,$44,$86,$78,$77
	db $78,$35,$23,$95,$88,$66,$76,$66,$65,$77,$57,$44,$76,$78,$77,$78
	db $35,$22,$95,$88,$66,$66,$66,$65,$77,$57,$44,$75,$78,$77,$78,$36
	db $22,$95,$88,$55,$66,$66,$65,$78,$57,$44,$65,$77,$77,$88,$46,$23
	db $94,$88,$55,$66,$76,$66,$78,$57,$44,$65,$77,$77,$88,$46,$23,$84
	db $98,$55,$65,$66,$66,$78,$58,$43,$66,$67,$76,$88,$57,$23,$73,$88
	db $46,$65,$66,$67,$78,$67,$44,$65,$66,$76,$88,$57,$34,$63,$89,$48
	db $55,$66,$67,$88,$67,$44,$65,$66,$66,$87,$68,$35,$43,$88,$58,$55
	db $66,$77,$86,$77,$55,$64,$76,$66,$87,$68,$35,$33,$96,$78,$55,$65
	db $76,$86,$67,$56,$54,$66,$67,$77,$78,$46,$33,$84,$78,$46,$55,$77
	db $67,$68,$66,$45,$65,$77,$77,$77,$56,$34,$53,$89,$58,$55,$76,$68
	db $76,$75,$55,$64,$86,$77,$77,$57,$34,$33,$97,$78,$54,$75,$87,$75
	db $75,$66,$55,$76,$78,$67,$67,$45,$43,$94,$79,$46,$65,$88,$57,$56
	db $67,$46,$76,$88,$77,$76,$45,$33,$54,$8A,$57,$64,$87,$67,$64,$75
	db $56,$74,$97,$77,$66,$57,$34,$44,$96,$76,$65,$77,$78,$45,$56,$67
	db $66,$77,$68,$67,$66,$44,$44,$65,$69,$57,$76,$78,$56,$64,$75,$66
	db $76,$87,$76,$66,$55,$44,$55,$85,$77,$66,$77,$68,$35,$45,$77,$77
	db $87,$78,$56,$54,$55,$55,$44,$87,$78,$76,$87,$46,$52,$85,$77,$76
	db $98,$67,$45,$65,$45,$45,$74,$89,$68,$68,$58,$14,$65,$88,$67,$87
	db $88,$45,$64,$56,$44,$34,$A6,$88,$86,$76,$54,$51,$76,$78,$77,$88
	db $58,$45,$65,$55,$44,$64,$8A,$79,$67,$56,$34,$64,$86,$88,$87,$88
	db $55,$43,$66,$45,$44,$A5,$99,$68,$56,$45,$34,$66,$98,$78,$87,$68
	db $34,$63,$56,$44,$54,$A8,$88,$66,$64,$54,$63,$85,$89,$77,$89,$46
	db $33,$75,$46,$54,$65,$8A,$69,$56,$55,$45,$64,$A6,$89,$87,$68,$34
	db $43,$67,$55,$55,$95,$89,$57,$45,$56,$35,$65,$A9,$89,$87,$57,$33
	db $63,$67,$55,$55,$A7,$78,$55,$65,$56,$44,$77,$9B,$68,$77,$36,$33
	db $75,$66,$55,$56,$98,$66,$65,$76,$56,$63,$97,$8A,$67,$67,$35,$44
	db $76,$66,$66,$55,$68,$66,$66,$76,$55,$74,$97,$89,$66,$56,$44,$54
	db $67,$67,$66,$54,$67,$77,$66,$66,$56,$75,$97,$78,$65,$66,$45,$55
	db $77,$57,$56,$43,$67,$78,$66,$76,$56,$74,$A7,$78,$65,$66,$55,$65
	db $78,$56,$45,$42,$77,$79,$66,$77,$57,$75,$97,$67,$65,$77,$56,$66
	db $67,$56,$45,$42,$88,$6A,$56,$87,$56,$65,$86,$66,$75,$77,$66,$66
	db $66,$56,$24,$42,$89,$69,$76,$78,$56,$64,$75,$76,$76,$77,$66,$55
	db $76,$56,$23,$53,$89,$68,$77,$78,$56,$53,$75,$88,$77,$77,$57,$55
	db $66,$46,$33,$43,$88,$89,$87,$77,$46,$42,$75,$89,$67,$88,$57,$55
	db $65,$45,$43,$44,$97,$99,$87,$77,$45,$42,$76,$89,$68,$88,$68,$55
	db $54,$45,$44,$44,$96,$A9,$79,$56,$45,$34,$66,$88,$78,$88,$77,$45
	db $44,$45,$44,$65,$75,$9A,$79,$56,$54,$45,$64,$97,$99,$88,$78,$46
	db $23,$44,$54,$76,$77,$98,$87,$55,$65,$66,$54,$86,$89,$78,$67,$56
	db $23,$32,$65,$97,$78,$65,$67,$47,$65,$77,$57,$75,$87,$88,$77,$67
	db $24,$31,$75,$99,$78,$35,$63,$65,$76,$88,$79,$45,$56,$77,$78,$67
	db $45,$33,$64,$98,$78,$45,$23,$55,$97,$A8,$89,$56,$43,$65,$78,$77
	db $67,$56,$55,$76,$67,$56,$34,$53,$87,$9A,$79,$66,$55,$54,$64,$88
	db $88,$67,$56,$44,$54,$55,$65,$66,$65,$88,$79,$67,$66,$46,$43,$86
	db $AA,$78,$66,$44,$33,$42,$86,$99,$58,$33,$76,$78,$66,$76,$56,$65
	db $86,$89,$66,$55,$34,$33,$85,$AA,$69,$34,$42,$76,$87,$98,$88,$57
	db $54,$66,$76,$56,$55,$65,$77,$77,$68,$45,$34,$33,$85,$B9,$8A,$57
	db $55,$56,$45,$54,$77,$87,$77,$66,$45,$54,$55,$55,$76,$77,$78,$77
	db $76,$55,$55,$55,$76,$77,$88,$67,$35,$43,$65,$66,$88,$78,$46,$43
	db $76,$67,$66,$86,$78,$77,$67,$56,$34,$53,$76,$88,$78,$78,$56,$45
	db $44,$65,$66,$77,$87,$78,$67,$45,$44,$54,$87,$88,$78,$56,$66,$55
	db $54,$65,$76,$67,$66,$66,$77,$55,$54,$76,$88,$87,$77,$56,$55,$55
	db $65,$87,$78,$66,$56,$55,$45,$54,$76,$88,$77,$77,$77,$56,$55,$66
	db $66,$77,$77,$67,$56,$45,$43,$55,$76,$88,$78,$66,$56,$55,$76,$87
	db $88,$67,$66,$56,$55,$55,$55,$65,$66,$77,$67,$56,$45,$54,$76,$98
	db $99,$78,$57,$44,$44,$66,$66,$66,$66,$66,$66,$56,$45,$44,$75,$99
	db $89,$67,$56,$55,$55,$66,$87,$78,$66,$55,$55,$45,$54,$76,$77,$77
	db $66,$66,$56,$44,$66,$87,$88,$88,$68,$45,$44,$54,$65,$77,$77,$77
	db $67,$56,$34,$44,$65,$88,$78,$77,$67,$66,$55,$66,$66,$76,$77,$67
	db $56,$45,$44,$55,$76,$78,$67,$55,$55,$65,$66,$87,$78,$77,$77,$67
	db $56,$54,$55,$76,$77,$77,$56,$55,$44,$54,$66,$87,$78,$67,$66,$66
	db $66,$66,$76,$77,$77,$67,$56,$44,$54,$65,$77,$77,$67,$56,$55,$55
	db $65,$76,$88,$78,$77,$67,$66,$45,$65,$76,$77,$66,$56,$55,$55,$65
	db $66,$77,$67,$66,$66,$56,$55,$66,$77,$88,$78,$67,$56,$45,$54,$65
	db $76,$77,$67,$56,$55,$55,$65,$66,$77,$77,$77,$67,$66,$55,$65,$76
	db $78,$67,$66,$55,$54,$55,$66,$77,$77,$66,$66,$56,$55,$55,$66,$88
	db $78,$67,$66,$55,$54,$65,$77,$78,$67,$66,$66,$55,$55,$76,$77,$77
	db $77,$56,$45,$44,$55,$66,$77,$77,$67,$56,$55,$55,$66,$87,$88,$77
	db $67,$55,$55,$65,$76,$77,$66,$66,$56,$45,$44,$55,$76,$87,$88,$67
	db $56,$55,$65,$76,$87,$77,$77,$66,$56,$45,$55,$66,$77,$77,$67,$56
	db $55,$54,$66,$77,$77,$77,$66,$55,$55,$65,$76,$87,$77,$77,$66,$56
	db $44,$55,$76,$77,$77,$67,$56,$44,$54,$66,$77,$77,$67,$66,$56,$55
	db $66,$76,$77,$77,$77,$66,$45,$54,$66,$77,$77,$67,$56,$55,$55,$65
	db $66,$77,$77,$67,$66,$55,$54,$65,$77,$78,$77,$66,$56,$55,$65,$76
	db $77,$77,$67,$66,$55,$44,$65,$76,$77,$77,$67,$56,$45,$55,$66,$77
	db $77,$77,$66,$55,$55,$65,$76,$77,$77,$67,$66,$55,$55,$65,$77,$77
	db $77,$66,$56,$55,$65,$76,$77,$77,$77,$66,$56,$55,$65,$76,$77,$77
	db $67,$56,$55,$55,$66,$77,$77,$77,$66,$55,$55,$65,$76,$77,$77,$67
	db $56,$55,$55,$66,$77,$77,$77,$66,$55,$55,$66,$77,$77,$77,$67,$66
	db $55,$55,$65,$77,$77,$67,$66,$56,$55,$65,$66,$66,$77,$77,$67,$45
	db $55,$76,$77,$66,$76,$77,$66,$55,$55,$66,$77,$77,$66,$66,$55,$65
	db $66,$66,$66,$77,$77,$56,$55,$66,$66,$66,$77,$66,$66,$65,$66,$56
	db $66,$76,$77,$77,$66,$55,$66,$66,$66,$66,$66,$67,$56,$66,$66,$66
	db $76,$77,$66,$66,$66,$66,$66,$66,$66,$77,$67,$56,$65,$66,$66,$66
	db $66,$66,$66,$66,$66,$55,$66,$67,$66,$76,$66,$66,$65,$66,$66,$67
	db $66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$56,$65,$76,$77,$66
	db $76,$66,$66,$66,$66,$66,$66,$66,$66,$56,$56,$65,$66,$66,$66,$66
	db $66,$66,$56,$66,$66,$66,$66,$66,$66,$56,$65,$66,$66,$66,$66,$66
	db $66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66
	db $66,$66,$66,$66,$67,$66,$66,$66,$56,$55,$66,$67,$66,$66,$66,$66
	db $66,$66,$66,$76,$67,$66,$66,$66,$65,$66,$66,$66,$67,$66,$66,$66
	db $55,$65,$66,$66,$65,$65,$66,$66,$66,$77,$77,$66,$66,$66,$55,$65
	db $66,$77,$77,$66,$66,$66,$56,$55,$65,$66,$66,$56,$76,$77,$66,$66
	db $77,$67,$55,$65,$76,$67,$66,$66,$77,$66,$66,$66,$56,$55,$65,$76
	db $66,$55,$75,$88,$78,$66,$66,$66,$55,$65,$66,$66,$66,$77,$77,$67
	db $56,$55,$55,$66,$66,$56,$55,$65,$98,$89,$67,$56,$56,$55,$44,$55
	db $76,$88,$88,$78,$67,$45,$44,$55,$65,$66,$55,$65,$86,$99,$68,$66
	db $55,$56,$45,$54,$65,$87,$88,$88,$77,$56,$44,$55,$56,$55,$55,$65
	db $77,$99,$89,$67,$46,$65,$45,$43,$65,$86,$99,$88,$67,$56,$44,$54
	db $66,$56,$55,$65,$66,$98,$99,$67,$56,$65,$45,$44,$54,$86,$9A,$89
	db $67,$45,$44,$54,$66,$66,$56,$55,$76,$A9,$8A,$57,$45,$65,$45,$43
	db $65,$87,$9A,$89,$67,$45,$33,$64,$77,$66,$55,$54,$76,$A9,$8A,$67
	db $45,$54,$44,$43,$65,$87,$A9,$9A,$67,$34,$33,$64,$76,$67,$56,$44
	db $75,$A9,$9A,$67,$45,$54,$54,$44,$65,$86,$99,$89,$67,$45,$33,$54
	db $77,$66,$45,$44,$75,$A9,$9B,$78,$45,$44,$43,$54,$76,$77,$98,$89
	db $57,$34,$44,$65,$78,$67,$44,$44,$74,$BA,$8A,$78,$55,$35,$33,$44
	db $86,$87,$98,$88,$57,$34,$43,$76,$77,$67,$44,$34,$85,$A9,$99,$67
	db $54,$45,$34,$65,$77,$78,$87,$77,$66,$44,$54,$77,$77,$46,$34,$43
	db $87,$BA,$79,$68,$56,$44,$43,$64,$88,$79,$66,$55,$56,$55,$66,$77
	db $77,$56,$44,$64,$87,$88,$77,$56,$56,$44,$54,$86,$99,$78,$46,$54
	db $55,$66,$77,$77,$67,$34,$33,$97,$99,$77,$56,$65,$66,$55,$66,$77
	db $89,$78,$45,$44,$54,$65,$87,$88,$57,$44,$64,$A8,$8A,$46,$34,$65
	db $66,$66,$86,$88,$88,$56,$44,$34,$55,$76,$77,$66,$55,$55,$77,$A9
	db $78,$46,$53,$44,$66,$77,$88,$88,$56,$44,$54,$54,$64,$77,$66,$67
	db $66,$64,$B9,$9B,$57,$24,$22,$53,$66,$86,$98,$78,$68,$46,$44,$65
	db $77,$66,$66,$55,$34,$86,$A9,$79,$45,$43,$45,$44,$76,$99,$99,$78
	db $56,$53,$65,$66,$56,$44,$44,$65,$75,$99,$AB,$79,$46,$33,$53,$54
	db $76,$87,$79,$68,$45,$55,$66,$77,$66,$46,$43,$45,$86,$B9,$9A,$67
	db $34,$34,$55,$77,$66,$77,$86,$66,$65,$45,$66,$78,$46,$33,$55,$64
	db $98,$BB,$7A,$57,$44,$43,$64,$66,$87,$57,$45,$65,$77,$87,$88,$67
	db $44,$64,$56,$66,$86,$88,$77,$44,$35,$55,$66,$98,$79,$56,$54,$65
	db $86,$89,$77,$45,$34,$43,$64,$88,$89,$68,$45,$75,$76,$76,$87,$67
	db $56,$56,$34,$33,$86,$98,$79,$55,$44,$55,$85,$A9,$69,$45,$33,$46
	db $76,$88,$88,$67,$65,$44,$44,$55,$77,$88,$68,$45,$64,$65,$78,$89
	db $77,$35,$43,$52,$97,$A9,$8A,$68,$24,$32,$55,$66,$75,$77,$66,$56
	db $76,$86,$89,$78,$47,$13,$22,$64,$86,$A9,$AA,$78,$45,$33,$44,$76
	db $78,$67,$45,$64,$66,$98,$98,$68,$34,$32,$44,$55,$87,$BA,$9A,$77
	db $45,$22,$43,$76,$67,$45,$54,$76,$76,$A9,$AC,$69,$35,$33,$22,$63
	db $97,$99,$78,$67,$45,$44,$64,$76,$67,$55,$65,$56,$96,$A9,$89,$66
	db $34,$23,$33,$65,$87,$99,$99,$66,$55,$54,$55,$76,$56,$44,$53,$76
	db $A9,$9A,$77,$67,$55,$33,$44,$54,$77,$99,$78,$67,$56,$55,$66,$77
	db $66,$45,$54,$75,$98,$89,$67,$55,$55,$55,$55,$66,$76,$77,$88,$79
	db $55,$44,$65,$66,$56,$55,$45,$75,$A9,$9A,$67,$65,$66,$46,$65,$56
	db $54,$75,$88,$67,$45,$55,$65,$66,$77,$77,$55,$65,$77,$67,$66,$66
	db $56,$66,$56,$55,$55,$76,$77,$77,$67,$66,$55,$66,$66,$66,$66,$56
	db $55,$66,$66,$56,$76,$88,$67,$66,$66,$66,$66,$56,$55,$54,$76,$87
	db $78,$66,$66,$66,$55,$55,$55,$66,$77,$77,$67,$66,$66,$76,$77,$66
	db $55,$45,$65,$87,$77,$67,$55,$66,$66,$55,$44,$65,$76,$87,$88,$67
	db $67,$66,$66,$66,$45,$33,$65,$87,$99,$89,$56,$66,$56,$65,$55,$54
	db $55,$66,$66,$67,$66,$76,$87,$67,$55,$55,$55,$77,$78,$87,$77,$66
	db $56,$45,$54,$55,$55,$65,$76,$77,$77,$87,$67,$56,$45,$54,$65,$77
	db $88,$77,$66,$76,$67,$56,$65,$66,$55,$65,$56,$55,$65,$88,$89,$67
	db $45,$44,$64,$76,$77,$56,$66,$87,$78,$66,$66,$66,$55,$66,$66,$66
	db $66,$77,$77,$56,$55,$44,$54,$66,$77,$67,$66,$76,$87,$88,$78,$67
	db $45,$54,$55,$55,$66,$77,$77,$77,$66,$55,$55,$66,$66,$56,$65,$76
	db $77,$77,$66,$66,$55,$55,$55,$66,$87,$87,$78,$66,$55,$66,$66,$66
	db $55,$45,$54,$75,$77,$88,$78,$66,$55,$45,$65,$66,$66,$76,$88,$78
	db $67,$66,$66,$66,$56,$45,$44,$65,$87,$88,$77,$66,$55,$55,$66,$66
	db $66,$66,$66,$66,$66,$76,$77,$66,$56,$55,$54,$55,$76,$88,$88,$67
	db $56,$54,$54,$66,$56,$55,$66,$66,$76,$77,$77,$67,$67,$55,$55,$55
	db $76,$88,$67,$66,$56,$65,$66,$67,$56,$66,$66,$66,$66,$66,$77,$67
	db $66,$55,$45,$54,$76,$87,$77,$67,$65,$66,$66,$67,$66,$55,$65,$76
	db $77,$77,$67,$66,$76,$56,$45,$54,$55,$77,$78,$56,$65,$65,$87,$88
	db $67,$55,$55,$65,$66,$67,$66,$77,$66,$66,$66,$55,$65,$66,$77,$77
	db $66,$66,$66,$66,$66,$56,$44,$65,$66,$77,$77,$77,$67,$67,$66,$66
	db $55,$55,$66,$66,$66,$66,$76,$67,$66,$66,$55,$55,$66,$66,$76,$77
	db $77,$66,$66,$66,$56,$55,$65,$76,$77,$77,$77,$67,$65,$66,$56,$55
	db $66,$65,$66,$67,$76,$77,$66,$66,$66,$55,$55,$66,$66,$76,$77,$77
	db $67,$56,$66,$56,$65,$65,$66,$66,$77,$77,$67,$56,$65,$66,$55,$66
	db $77,$67,$77,$66,$66,$65,$66,$56,$65,$66,$66,$76,$76,$77,$78,$66
	db $55,$55,$55,$65,$66,$66,$77,$66,$77,$67,$66,$66,$56,$56,$66,$66
	db $77,$77,$67,$66,$55,$65,$66,$55,$76,$77,$67,$66,$66,$66,$66,$66
	db $56,$55,$55,$76,$77,$76,$77,$77,$66,$66,$56,$55,$66,$66,$77,$67
	db $66,$66,$66,$66,$66,$55,$55,$65,$76,$77,$67,$66,$66,$66,$66,$66
	db $55,$66,$76,$77,$66,$56,$66,$66,$66,$56,$45,$64,$76,$77,$77,$76
	db $66,$66,$66,$66,$55,$65,$66,$76,$77,$77,$66,$66,$66,$67,$55,$55
	db $65,$66,$76,$66,$66,$66,$66,$76,$67,$55,$65,$76,$77,$67,$66,$66
	db $66,$66,$56,$55,$65,$66,$66,$76,$77,$67,$66,$66,$56,$55,$65,$66
	db $66,$66,$77,$67,$66,$66,$66,$66,$66,$66,$65,$66,$66,$67,$76,$66
	db $66,$55,$65,$66,$66,$67,$66,$66,$66,$66,$66,$56,$65,$76,$66,$66
	db $66,$77,$77,$67,$66,$55,$65,$76,$67,$66,$66,$67,$66,$66,$77,$56
	db $55,$65,$66,$66,$66,$66,$77,$77,$77,$56,$55,$66,$77,$66,$67,$56
	db $65,$66,$66,$66,$55,$55,$76,$67,$66,$66,$77,$76,$77,$66,$56,$55
	db $66,$66,$66,$66,$66,$66,$77,$87,$67,$56,$66,$66,$66,$66,$66,$66
	db $76,$77,$66,$56,$66,$66,$66,$67,$66,$55,$66,$76,$67,$66,$66,$56
	db $66,$56,$66,$66,$76,$77,$77,$66,$66,$66,$66,$65,$66,$66,$66,$66
	db $77,$66,$66,$66,$55,$55,$65,$66,$67,$77,$67,$66,$76,$67,$66,$55
	db $55,$66,$65,$66,$77,$66,$66,$77,$66,$56,$55,$65,$76,$77,$78,$66
	db $55,$66,$55,$56,$55,$66,$66,$77,$77,$77,$66,$66,$66,$56,$55,$55
	db $65,$77,$77,$67,$66,$66,$66,$76,$66,$66,$65,$66,$76,$77,$77,$66
	db $66,$55,$55,$55,$55,$76,$77,$78,$67,$66,$66,$66,$66,$66,$66,$66
	db $66,$76,$66,$77,$66,$66,$55,$55,$65,$66,$77,$77,$76,$66,$67,$66
	db $66,$55,$55,$65,$66,$66,$76,$77,$67,$66,$56,$65,$65,$66,$76,$77
	db $67,$66,$65,$56,$66,$65,$56,$65,$76,$77,$77,$77,$77,$67,$66,$56
	db $55,$55,$65,$66,$67,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$76
	db $66,$66,$56,$55,$65,$55,$66,$66,$77,$77,$67,$66,$66,$66,$66,$66
	db $65,$66,$66,$66,$66,$77,$66,$56,$56,$65,$65,$66,$77,$66,$77,$77
	db $67,$66,$56,$55,$55,$66,$66,$65,$66,$77,$77,$66,$66,$56,$65,$66
	db $77,$67,$66,$66,$66,$66,$56,$65,$55,$66,$76,$67,$77,$77,$77,$77
	db $66,$55,$45,$55,$65,$67,$66,$66,$66,$66,$76,$66,$66,$66,$66,$66
	db $66,$66,$67,$66,$56,$56,$55,$55,$66,$76,$77,$77,$77,$66,$66,$66
	db $66,$56,$66,$66,$66,$66,$67,$76,$66,$66,$56,$66,$66,$66,$66,$76
	db $77,$67,$66,$66,$65,$65,$66,$66,$65,$65,$77,$77,$67,$66,$66,$66
	db $66,$66,$66,$66,$66,$66,$66,$66,$66,$56,$66,$66,$66,$66,$66,$67
	db $77,$66,$66,$55,$55,$65,$56,$56,$66,$76,$67,$77,$76,$66,$66,$66
	db $66,$66,$66,$65,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66
	db $77,$76,$56,$55,$66,$66,$66,$66,$66,$66,$77,$66,$66,$66,$66,$66
	db $66,$66,$66,$66,$76,$66,$66,$66,$66,$66,$66,$66,$66,$67,$66,$66
	db $76,$66,$66,$56,$66,$66,$56,$66,$66,$66,$67,$66,$66,$66,$66,$66
	db $66,$76,$66,$56,$56,$65,$66,$66,$56,$56,$66,$66,$67,$77,$66,$66
	db $76,$66,$66,$55,$65,$66,$66,$66,$66,$66,$76,$66,$67,$66,$56,$66
	db $66,$76,$66,$56,$65,$66,$66,$66,$66,$66,$76,$77,$67,$66,$55,$66
	db $76,$56,$56,$65,$75,$67,$77,$66,$66,$67,$66,$66,$56,$66,$65,$66
	db $66,$66,$66,$66,$66,$66,$66,$56,$66,$66,$76,$67,$66,$66,$66,$66
	db $66,$66,$65,$66,$66,$56,$66,$76,$66,$67,$66,$66,$66,$66,$66,$66
	db $77,$66,$66,$55,$55,$65,$66,$66,$66,$66,$77,$76,$67,$66,$66,$66
	db $66,$56,$65,$66,$66,$66,$66,$76,$66,$66,$77,$76,$76,$57,$65,$66
	db $66,$56,$55,$55,$65,$66,$66,$66,$77,$77,$67,$76,$66,$55,$66,$65
	db $66,$55,$65,$66,$76,$67,$77,$66,$67,$77,$77,$66,$66,$55,$55,$66
	db $77,$66,$56,$65,$66,$66,$56,$65,$66,$66,$76,$67,$66,$66,$66,$76
	db $66,$56,$55,$55,$66,$66,$65,$66,$88,$78,$76,$66,$56,$65,$66,$66
	db $67,$55,$44,$65,$77,$77,$66,$76,$66,$77,$67,$66,$56,$55,$55,$66
	db $66,$66,$77,$77,$66,$77,$56,$65,$67,$55,$65,$76,$77,$67,$67,$66
	db $55,$55,$45,$64,$66,$66,$65,$66,$87,$78,$67,$55,$45,$55,$87,$77
	db $78,$67,$55,$54,$77,$67,$66,$76,$67,$76,$67,$56,$56,$45,$44,$55
	db $76,$88,$77,$66,$66,$66,$55,$44,$65,$79,$66,$76,$77,$67,$75,$67
	db $55,$65,$66,$46,$76,$67,$34,$54,$76,$77,$77,$67,$66,$66,$67,$56
	db $55,$45,$65,$67,$76,$98,$79,$46,$74,$66,$66,$76,$77,$57,$66,$55
	db $44,$55,$76,$66,$76,$66,$66,$66,$66,$65,$56,$64,$68,$98,$A8,$78
	db $46,$64,$54,$46,$65,$86,$57,$66,$66,$65,$66,$77,$56,$66,$66,$67
	db $44,$55,$55,$44,$97,$88,$88,$8A,$68,$53,$56,$56,$64,$76,$78,$55
	db $55,$45,$65,$76,$78,$65,$66,$77,$56,$44,$55,$55,$87,$98,$87,$89
	db $68,$44,$44,$55,$66,$76,$77,$67,$44,$44,$54,$76,$98,$78,$67,$76
	db $56,$44,$44,$64,$78,$87,$86,$78,$57,$65,$55,$56,$87,$78,$77,$66
	db $45,$34,$32,$54,$87,$88,$67,$66,$56,$35,$43,$97,$98,$78,$79,$66
	db $54,$66,$56,$65,$76,$88,$57,$55,$55,$44,$44,$76,$77,$78,$77,$56
	db $44,$44,$75,$88,$79,$78,$66,$34,$54,$87,$88,$76,$77,$78,$57,$44
	db $54,$56,$55,$65,$66,$76,$67,$57,$33,$84,$99,$68,$78,$78,$45,$33
	db $64,$88,$88,$88,$67,$56,$54,$44,$55,$66,$66,$66,$65,$76,$67,$55
	db $74,$98,$89,$58,$55,$44,$43,$64,$77,$77,$88,$88,$57,$44,$55,$77
	db $76,$66,$56,$44,$44,$44,$65,$98,$A9,$78,$67,$67,$45,$54,$76,$77
	db $67,$66,$76,$57,$44,$54,$86,$88,$56,$55,$66,$45,$43,$64,$98,$9B
	db $78,$65,$56,$54,$44,$76,$98,$78,$55,$55,$55,$55,$75,$97,$89,$67
	db $46,$55,$44,$33,$75,$A9,$89,$68,$56,$35,$33,$74,$98,$89,$78,$56
	db $34,$43,$54,$86,$99,$89,$56,$54,$56,$23,$52,$97,$9A,$78,$66,$65
	db $55,$55,$87,$98,$78,$56,$44,$44,$33,$54,$76,$98,$89,$67,$66,$45
	db $44,$65,$97,$89,$56,$44,$45,$55,$76,$98,$99,$78,$66,$56,$45,$34
	db $54,$75,$88,$78,$77,$66,$45,$43,$86,$8A,$78,$66,$45,$43,$54,$76
	db $99,$89,$67,$45,$54,$55,$44,$65,$77,$66,$55,$76,$67,$45,$75,$A7
	db $99,$67,$45,$44,$55,$64,$87,$99,$79,$46,$54,$55,$55,$65,$76,$77
	db $56,$55,$77,$66,$55,$66,$A8,$8A,$56,$44,$55,$55,$65,$86,$88,$77
	db $56,$55,$65,$45,$55,$76,$77,$56,$55,$65,$56,$54,$98,$BA,$89,$56
	db $44,$44,$55,$76,$77,$77,$56,$65,$56,$56,$66,$76,$87,$67,$34,$55
	db $56,$44,$53,$97,$BC,$79,$55,$54,$55,$55,$66,$88,$68,$54,$44,$65
	db $66,$66,$77,$77,$67,$44,$65,$77,$35,$32,$97,$CB,$8A,$46,$54,$45
	db $66,$77,$88,$88,$46,$33,$44,$65,$66,$87,$98,$67,$54,$65,$66,$45
	db $34,$86,$A9,$89,$56,$44,$55,$66,$86,$98,$87,$56,$34,$33,$54,$76
	db $99,$89,$56,$44,$55,$66,$45,$44,$85,$98,$89,$67,$56,$55,$65,$75
	db $98,$88,$46,$45,$34,$44,$75,$A8,$9A,$57,$55,$54,$66,$45,$54,$75
	db $89,$89,$56,$65,$56,$44,$76,$98,$89,$67,$45,$44,$44,$53,$87,$AA
	db $68,$45,$43,$66,$67,$56,$65,$87,$77,$66,$56,$66,$56,$55,$87,$99
	db $78,$56,$44,$44,$34,$65,$98,$89,$46,$44,$66,$77,$66,$45,$74,$98
	db $69,$56,$55,$55,$65,$76,$99,$78,$46,$44,$44,$54,$76,$88,$88,$57
	db $44,$54,$76,$66,$56,$55,$86,$98,$68,$55,$55,$55,$66,$77,$77,$77
	db $66,$45,$44,$65,$77,$77,$56,$44,$65,$86,$78,$67,$45,$54,$87,$9A
	db $67,$34,$44,$54,$87,$99,$89,$67,$55,$44,$44,$76,$87,$56,$55,$55
	db $87,$77,$77,$46,$44,$74,$88,$79,$57,$45,$44,$74,$87,$89,$68,$56
	db $55,$55,$64,$76,$78,$46,$44,$54,$76,$77,$67,$45,$44,$97,$AA,$88
	db $57,$34,$22,$54,$98,$89,$77,$66,$55,$55,$76,$87,$68,$45,$43,$54
	db $76,$77,$67,$45,$54,$97,$A9,$67,$56,$45,$44,$65,$87,$88,$67,$66
	db $56,$55,$66,$66,$56,$55,$55,$55,$76,$88,$68,$34,$43,$97,$AA,$77
	db $56,$45,$34,$54,$76,$87,$77,$67,$66,$55,$65,$66,$66,$66,$56,$54
	db $76,$88,$57,$33,$64,$AA,$9A,$77,$65,$35,$33,$54,$77,$77,$88,$88
	db $67,$55,$55,$66,$65,$56,$55,$55,$76,$67,$45,$54,$86,$9A,$89,$87
	db $66,$24,$32,$54,$76,$77,$98,$79,$56,$44,$65,$76,$77,$67,$66,$66
	db $66,$45,$33,$54,$96,$9A,$89,$88,$56,$23,$43,$66,$77,$77,$87,$67
	db $56,$55,$65,$66,$77,$67,$55,$65,$56,$34,$43,$65,$A7,$AB,$8A,$68
	db $55,$23,$42,$66,$77,$87,$78,$66,$55,$55,$55,$76,$88,$67,$55,$65
	db $56,$34,$43,$65,$A8,$AA,$79,$57,$34,$32,$53,$86,$98,$78,$67,$55
	db $55,$66,$66,$86,$78,$56,$55,$65,$56,$34,$44,$65,$A8,$AB,$7A,$67
	db $45,$43,$54,$66,$77,$78,$67,$45,$65,$66,$76,$87,$78,$66,$66,$55
	db $45,$44,$44,$54,$A8,$AA,$78,$67,$35,$43,$65,$66,$87,$89,$46,$44
	db $65,$66,$66,$87,$67,$66,$67,$55,$55,$45,$44,$64,$9A,$99,$88,$67
	db $34,$53,$66,$66,$88,$89,$46,$54,$55,$54,$76,$89,$67,$76,$67,$55
	db $55,$44,$44,$85,$89,$88,$8A,$46,$43,$55,$66,$86,$99,$68,$56,$55
	db $45,$75,$88,$77,$66,$66,$65,$66,$35,$33,$74,$88,$88,$A8,$78,$45
	db $65,$56,$54,$87,$68,$66,$67,$35,$43,$76,$78,$87,$78,$56,$65,$56
	db $34,$43,$87,$67,$96,$88,$57,$65,$66,$45,$76,$99,$67,$65,$45,$44
	db $55,$67,$77,$77,$66,$76,$66,$45,$34,$74,$76,$87,$79,$57,$65,$67
	db $56,$66,$76,$77,$77,$56,$45,$44,$55,$65,$87,$78,$67,$76,$56,$45
	db $75,$66,$66,$78,$67,$54,$66,$66,$66,$66,$67,$87,$68,$55,$55,$55
	db $65,$66,$67,$66,$76,$66,$56,$74,$57,$66,$89,$77,$55,$65,$65,$86
	db $67,$66,$77,$67,$55,$56,$55,$55,$65,$66,$66,$87,$67,$55,$75,$67
	db $56,$78,$66,$44,$55,$55,$75,$88,$67,$66,$77,$66,$56,$65,$66,$66
	db $56,$56,$55,$66,$66,$75,$79,$67,$77,$66,$54,$66,$45,$65,$67,$77
	db $77,$66,$65,$56,$65,$77,$66,$56,$55,$54,$65,$66,$76,$79,$78,$89
	db $66,$54,$55,$55,$65,$66,$66,$77,$66,$55,$66,$76,$77,$67,$66,$66
	db $55,$44,$43,$85,$8A,$88,$89,$56,$54,$55,$64,$87,$67,$66,$66,$66
	db $55,$55,$65,$77,$76,$67,$56,$55,$45,$43,$85,$89,$88,$7A,$67,$65
	db $55,$54,$76,$76,$67,$56,$55,$55,$55,$76,$87,$88,$77,$56,$55,$54
	db $44,$75,$66,$87,$8A,$68,$65,$55,$54,$76,$87,$78,$67,$45,$43,$44
	db $76,$88,$88,$78,$66,$45,$34,$43,$85,$77,$88,$6A,$67,$66,$55,$65
	db $77,$76,$77,$66,$56,$34,$33,$65,$76,$98,$89,$77,$56,$44,$44,$85
	db $87,$88,$58,$56,$55,$55,$65,$77,$87,$88,$67,$56,$44,$33,$54,$66
	db $98,$89,$77,$56,$44,$45,$75,$76,$A8,$69,$57,$45,$54,$75,$77,$97
	db $89,$67,$55,$34,$43,$55,$65,$77,$87,$88,$57,$44,$45,$76,$75,$98
	db $79,$58,$35,$33,$64,$77,$87,$88,$78,$67,$45,$44,$54,$66,$77,$77
	db $87,$67,$44,$44,$86,$76,$97,$68,$68,$56,$34,$53,$66,$97,$99,$88
	db $68,$45,$44,$44,$64,$77,$66,$66,$56,$55,$55,$76,$86,$A7,$78,$58
	db $56,$45,$43,$54,$86,$98,$88,$67,$55,$54,$55,$55,$76,$77,$67,$56
	db $55,$45,$76,$75,$A7,$78,$68,$46,$45,$65,$55,$75,$87,$88,$68,$55
	db $54,$44,$65,$77,$76,$78,$46,$33,$44,$77,$86,$A8,$88,$68,$57,$45
	db $54,$55,$65,$66,$77,$78,$56,$55,$55,$66,$78,$66,$77,$56,$44,$33
	db $76,$86,$B8,$87,$68,$46,$45,$55,$55,$87,$77,$76,$67,$66,$66,$55
	db $76,$67,$77,$77,$55,$55,$34,$56,$85,$B9,$98,$67,$56,$35,$65,$66
	db $77,$77,$67,$45,$44,$65,$55,$66,$77,$87,$88,$56,$44,$44,$56,$65
	db $A7,$97,$78,$56,$45,$55,$66,$87,$77,$77,$46,$34,$54,$65,$87,$77
	db $87,$78,$56,$44,$43,$56,$66,$88,$96,$87,$67,$45,$55,$55,$87,$87
	db $78,$56,$44,$44,$54,$76,$78,$77,$77,$56,$55,$64,$56,$77,$79,$86
	db $66,$66,$55,$55,$64,$77,$87,$88,$57,$55,$35,$43,$65,$77,$88,$68
	db $55,$45,$74,$56,$77,$69,$77,$55,$55,$65,$67,$76,$77,$77,$78,$56
	db $44,$44,$44,$55,$76,$98,$89,$56,$45,$74,$65,$87,$69,$78,$66,$45
	db $54,$66,$86,$68,$76,$67,$55,$55,$45,$65,$77,$66,$77,$67,$66,$45
	db $74,$65,$86,$79,$78,$66,$55,$44,$55,$75,$78,$77,$67,$66,$55,$55
	db $65,$66,$66,$66,$56,$55,$45,$76,$65,$97,$79,$79,$66,$55,$54,$56
	db $75,$77,$77,$67,$55,$44,$54,$65,$76,$77,$77,$66,$55,$45,$77,$76
	db $97,$67,$67,$56,$45,$65,$67,$77,$77,$66,$66,$55,$54,$55,$66,$77
	db $77,$77,$67,$45,$44,$67,$75,$A7,$77,$57,$66,$56,$76,$67,$77,$67
	db $66,$56,$45,$54,$65,$66,$87,$67,$66,$56,$44,$54,$68,$76,$A9,$77
	db $66,$66,$45,$75,$67,$77,$77,$56,$45,$44,$65,$77,$77,$77,$66,$56
	db $55,$44,$95,$78,$77,$69,$56,$54,$56,$54,$97,$87,$78,$67,$66,$55
	db $44,$55,$66,$76,$67,$56,$65,$56,$55,$98,$87,$A6,$67,$35,$54,$46
	db $75,$89,$88,$77,$56,$45,$54,$54,$66,$77,$77,$66,$55,$55,$45,$64
	db $89,$78,$A9,$66,$33,$53,$65,$87,$89,$78,$66,$45,$45,$54,$75,$88
	db $77,$67,$65,$65,$45,$44,$A5,$79,$76,$79,$46,$54,$66,$76,$98,$88
	db $56,$55,$34,$44,$55,$87,$88,$67,$66,$56,$66,$45,$32,$98,$77,$96
	db $78,$35,$64,$67,$77,$99,$68,$35,$43,$54,$55,$76,$89,$77,$77,$66
	db $55,$56,$23,$72,$99,$68,$78,$57,$33,$85,$67,$96,$99,$58,$24,$43
	db $66,$65,$87,$77,$66,$66,$65,$76,$57,$33,$96,$89,$65,$77,$36,$42
	db $77,$67,$88,$99,$57,$33,$64,$67,$55,$77,$66,$55,$77,$76,$66,$46
	db $53,$87,$69,$66,$77,$24,$62,$97,$88,$99,$79,$25,$22,$75,$66,$65
	db $77,$66,$77,$78,$77,$56,$34,$65,$76,$76,$66,$56,$43,$76,$99,$A9
	db $89,$57,$12,$41,$76,$56,$65,$67,$66,$87,$78,$68,$45,$53,$66,$66
	db $78,$67,$35,$53,$A7,$99,$98,$78,$36,$21,$65,$67,$66,$76,$55,$76
	db $77,$77,$46,$44,$77,$67,$96,$89,$45,$32,$75,$89,$89,$78,$55,$34
	db $53,$87,$68,$55,$67,$44,$66,$88,$67,$45,$75,$76,$56,$88,$68,$34
	db $43,$97,$98,$88,$78,$56,$43,$65,$66,$56,$55,$56,$76,$87,$88,$67
	db $53,$88,$68,$54,$77,$25,$40,$85,$99,$AA,$78,$46,$45,$44,$65,$66
	db $55,$65,$55,$65,$98,$68,$46,$85,$88,$56,$55,$67,$23,$55,$98,$99
	db $78,$77,$44,$44,$66,$66,$66,$56,$65,$65,$87,$88,$56,$23,$86,$78
	db $55,$86,$47,$41,$85,$99,$88,$78,$56,$54,$55,$65,$55,$66,$65,$67
	db $65,$87,$68,$35,$63,$A9,$78,$45,$65,$25,$43,$96,$9A,$77,$77,$46
	db $54,$76,$67,$55,$56,$55,$55,$76,$87,$67,$45,$96,$9B,$66,$54,$56
	db $22,$63,$98,$79,$88,$67,$55,$76,$77,$56,$54,$55,$65,$66,$87,$78
	db $46,$43,$97,$8A,$57,$54,$45,$32,$74,$A9,$89,$88,$68,$44,$65,$66
	db $44,$65,$66,$66,$66,$77,$67,$45,$53,$A8,$6A,$45,$55,$35,$42,$97
	db $AA,$78,$77,$56,$54,$66,$56,$44,$65,$77,$56,$65,$77,$67,$34,$74
	db $AA,$79,$45,$55,$35,$43,$96,$89,$77,$88,$56,$55,$76,$46,$44,$76
	db $77,$56,$65,$65,$67,$34,$95,$BB,$68,$55,$56,$24,$53,$98,$78,$87
	db $78,$66,$55,$66,$45,$44,$76,$77,$55,$65,$76,$56,$44,$97,$A9,$47
	db $54,$66,$35,$64,$88,$67,$87,$89,$56,$65,$56,$33,$53,$77,$78,$67
	db $66,$76,$56,$64,$98,$79,$45,$55,$55,$54,$86,$78,$66,$87,$78,$56
	db $66,$46,$33,$64,$87,$67,$66,$66,$66,$66,$76,$98,$68,$45,$55,$66
	db $65,$87,$57,$54,$86,$67,$66,$88,$47,$33,$65,$77,$67,$56,$65,$66
	db $66,$76,$78,$56,$54,$55,$55,$76,$78,$56,$65,$77,$66,$66,$77,$46
	db $33,$75,$77,$66,$66,$56,$66,$76,$88,$77,$56,$44,$44,$65,$76,$88
	db $66,$76,$88,$67,$76,$78,$35,$43,$66,$76,$67,$66,$66,$66,$76,$77
	db $67,$56,$55,$44,$65,$77,$67,$66,$76,$77,$66,$76,$77,$45,$54,$76
	db $67,$66,$56,$45,$65,$77,$77,$88,$67,$55,$54,$66,$76,$67,$55,$76
	db $77,$66,$77,$67,$45,$55,$66,$66,$67,$56,$65,$76,$77,$67,$76,$66
	db $45,$65,$76,$67,$56,$65,$76,$77,$77,$77,$67,$34,$44,$65,$66,$87
	db $67,$66,$77,$68,$66,$77,$56,$44,$65,$76,$77,$56,$65,$66,$77,$76
	db $77,$56,$45,$54,$66,$76,$67,$66,$66,$87,$67,$66,$76,$66,$55,$76
	db $77,$67,$55,$55,$65,$67,$76,$87,$68,$56,$55,$56,$66,$66,$56,$76
	db $77,$66,$66,$67,$66,$66,$76,$67,$66,$44,$54,$66,$77,$87,$78,$67
	db $55,$65,$66,$65,$66,$65,$76,$88,$77,$66,$66,$55,$54,$77,$66,$66
	db $56,$65,$77,$77,$77,$77,$56,$44,$55,$55,$66,$66,$76,$87,$77,$66
	db $56,$56,$55,$65,$77,$77,$67,$55,$55,$76,$77,$67,$66,$55,$55,$66
	db $66,$66,$67,$66,$66,$66,$55,$65,$66,$66,$77,$77,$67,$67,$55,$65
	db $66,$66,$66,$66,$66,$66,$77,$66,$65,$56,$65,$66,$66,$76,$66,$66
	db $66,$76,$78,$67,$56,$44,$65,$76,$77,$67,$66,$66,$55,$66,$56,$65
	db $66,$66,$77,$77,$66,$66,$66,$66,$66,$66,$66,$56,$55,$76,$77,$76
	db $66,$66,$66,$66,$56,$66,$66,$66,$66,$76,$77,$67,$55,$66,$66,$66
	db $77,$67,$66,$55,$66,$67,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66
	db $66,$66,$56,$65,$76,$77,$76,$77,$66,$55,$65,$76,$66,$66,$66,$66
	db $66,$66,$77,$67,$66,$66,$55,$66,$66,$66,$66,$76,$66,$66,$66,$66
	db $66,$76,$77,$67,$66,$66,$66,$66,$66,$66,$66,$55,$66,$66,$76,$77
	db $67,$56,$66,$66,$56,$66,$55,$76,$77,$66,$66,$66,$66,$77,$66,$66
	db $76,$67,$65,$56,$55,$66,$66,$66,$66,$65,$76,$77,$67,$66,$77,$77
	db $56,$44,$55,$66,$65,$77,$67,$66,$76,$67,$66,$66,$66,$66,$65,$55
	db $66,$66,$76,$66,$55,$76,$78,$67,$66,$66,$66,$66,$56,$65,$56,$66
	db $66,$55,$65,$66,$77,$77,$67,$66,$76,$56,$55,$55,$76,$67,$66,$55
	db $66,$66,$77,$77,$66,$66,$67,$55,$45,$65,$77,$77,$66,$66,$66,$76
	db $76,$67,$76,$77,$56,$55,$55,$66,$66,$66,$65,$66,$76,$77,$77,$56
	db $66,$67,$56,$56,$55,$66,$66,$67,$66,$76,$77,$66,$66,$66,$66,$56
	db $55,$55,$76,$78,$76,$55,$55,$66,$77,$77,$56,$76,$67,$56,$56,$65
	db $76,$67,$56,$65,$66,$66,$77,$77,$66,$77,$67,$55,$45,$55,$66,$66
	db $66,$66,$66,$76,$77,$67,$76,$76,$46,$55,$65,$66,$66,$66,$65,$66
	db $76,$88,$67,$56,$76,$77,$56,$55,$65,$66,$56,$56,$66,$66,$76,$67
	db $67,$76,$66,$56,$44,$55,$66,$77,$66,$66,$66,$66,$77,$66,$66,$66
	db $76,$56,$65,$66,$76,$57,$65,$66,$66,$66,$66,$66,$65,$77,$77,$56
	db $55,$65,$67,$56,$56,$66,$66,$76,$77,$77,$76,$67,$56,$54,$66,$76
	db $67,$74,$67,$66,$67,$76,$67,$55,$66,$66,$45,$55,$65,$77,$56,$66
	db $76,$77,$66,$67,$66,$66,$67,$66,$44,$44,$65,$66,$67,$66,$77,$86
	db $78,$66,$67,$65,$66,$45,$55,$65,$76,$56,$65,$66,$77,$77,$66,$67
	db $66,$66,$66,$56,$55,$65,$76,$56,$55,$76,$66,$87,$67,$88,$67,$77
	db $67,$55,$45,$65,$56,$55,$55,$66,$76,$77,$77,$67,$76,$67,$66,$45
	db $65,$67,$56,$65,$65,$66,$77,$76,$88,$66,$78,$66,$66,$44,$65,$65
	db $66,$56,$76,$66,$77,$67,$56,$66,$66,$66,$55,$65,$65,$77,$56,$66
	db $66,$66,$86,$66,$88,$57,$87,$47,$65,$45,$75,$46,$65,$66,$76,$77
	db $67,$76,$56,$65,$56,$65,$55,$76,$67,$66,$66,$66,$66,$66,$77,$66
	db $88,$67,$89,$56,$65,$54,$56,$54,$65,$66,$76,$77,$77,$77,$66,$66
	db $45,$55,$54,$66,$56,$76,$76,$76,$67,$66,$57,$75,$78,$75,$67,$64
	db $67,$66,$56,$55,$66,$76,$66,$67,$66,$67,$65,$57,$55,$56,$65,$66
	db $65,$66,$66,$77,$66,$86,$66,$87,$57,$77,$45,$75,$55,$65,$56,$66
	db $77,$66,$76,$56,$76,$56,$66,$45,$65,$66,$76,$66,$66,$66,$66,$66
	db $75,$57,$87,$68,$76,$56,$64,$55,$55,$55,$66,$66,$78,$87,$68,$76
	db $67,$65,$45,$44,$55,$66,$66,$77,$77,$66,$66,$65,$57,$76,$68,$76
	db $56,$75,$57,$66,$56,$65,$66,$77,$77,$67,$66,$66,$66,$56,$54,$55
	db $65,$66,$66,$77,$66,$66,$66,$78,$76,$78,$75,$57,$55,$56,$65,$65
	db $66,$66,$77,$76,$77,$66,$66,$66,$56,$54,$66,$66,$76,$66,$66,$56
	db $66,$55,$78,$75,$89,$96,$58,$54,$46,$54,$55,$66,$55,$67,$87,$87
	db $77,$67,$66,$56,$44,$55,$55,$77,$66,$77,$56,$66,$55,$78,$65,$87
	db $76,$58,$65,$57,$75,$67,$65,$55,$66,$66,$77,$77,$66,$77,$67,$44
	db $55,$54,$76,$66,$67,$55,$66,$66,$78,$76,$87,$76,$58,$64,$46,$65
	db $67,$65,$66,$66,$76,$67,$76,$67,$66,$66,$55,$66,$55,$87,$57,$76
	db $56,$65,$55,$78,$85,$88,$87,$68,$64,$46,$64,$66,$55,$66,$66,$76
	db $78,$87,$67,$65,$55,$55,$55,$55,$76,$67,$86,$56,$55,$56,$77,$75
	db $78,$66,$78,$66,$56,$65,$67,$45,$66,$66,$65,$77,$76,$67,$66,$56
	db $66,$55,$55,$76,$66,$66,$56,$66,$56,$88,$75,$88,$66,$78,$56,$55
	db $55,$66,$56,$66,$66,$66,$66,$76,$67,$66,$65,$76,$66,$66,$76,$66
	db $66,$45,$65,$55,$87,$75,$89,$76,$78,$66,$45,$55,$55,$66,$55,$66
	db $76,$77,$77,$67,$66,$65,$66,$55,$55,$66,$77,$66,$56,$65,$56,$85
	db $56,$88,$57,$98,$67,$66,$56,$56,$66,$55,$66,$65,$77,$66,$77,$66
	db $76,$67,$55,$55,$65,$66,$66,$65,$55,$66,$75,$68,$87,$57,$86,$67
	db $66,$56,$65,$66,$55,$65,$65,$66,$66,$77,$66,$65,$67,$76,$66,$66
	db $66,$66,$55,$55,$56,$55,$78,$75,$88,$86,$69,$55,$56,$55,$65,$46
	db $54,$66,$76,$77,$77,$67,$65,$66,$65,$56,$65,$66,$76,$67,$56,$66
	db $45,$87,$65,$88,$75,$79,$66,$67,$55,$55,$56,$54,$56,$65,$77,$77
	db $67,$67,$66,$65,$56,$55,$65,$66,$56,$55,$66,$56,$97,$66,$77,$66
	db $79,$66,$66,$55,$56,$66,$55,$66,$65,$66,$76,$67,$66,$66,$66,$77
	db $56,$66,$66,$66,$55,$55,$55,$96,$66,$98,$67,$89,$66,$67,$44,$55
	db $56,$54,$66,$65,$77,$87,$67,$66,$66,$55,$76,$56,$65,$66,$77,$66
	db $55,$55,$85,$57,$87,$67,$88,$66,$78,$55,$45,$65,$55,$65,$65,$77
	db $87,$78,$66,$66,$56,$55,$45,$65,$65,$87,$57,$56,$55,$85,$67,$88
	db $57,$86,$56,$66,$55,$56,$75,$66,$65,$55,$77,$76,$78,$66,$56,$66
	db $66,$56,$66,$56,$76,$67,$65,$55,$74,$68,$97,$58,$87,$67,$66,$45
	db $55,$65,$77,$56,$55,$66,$76,$88,$77,$66,$66,$56,$56,$75,$56,$65
	db $67,$65,$55,$75,$57,$97,$68,$87,$77,$67,$45,$55,$54,$65,$67,$65
	db $66,$76,$87,$77,$67,$55,$65,$56,$65,$56,$75,$77,$66,$55,$74,$67
	db $88,$68,$77,$66,$77,$56,$66,$55,$55,$76,$66,$67,$65,$76,$66,$67
	db $56,$76,$67,$65,$56,$65,$67,$66,$55,$64,$56,$98,$78,$87,$56,$76
	db $56,$55,$45,$54,$76,$65,$66,$66,$78,$77,$67,$55,$65,$67,$65,$66
	db $65,$67,$66,$56,$64,$56,$87,$78,$88,$46,$76,$57,$55,$55,$64,$76
	db $66,$66,$55,$87,$77,$77,$56,$54,$66,$66,$56,$55,$66,$76,$66,$65
	db $46,$97,$78,$88,$56,$76,$66,$56,$55,$54,$87,$66,$66,$45,$66,$76
	db $77,$67,$55,$67,$76,$56,$55,$66,$76,$55,$65,$46,$97,$89,$88,$57
	db $65,$67,$55,$44,$44,$86,$67,$66,$56,$66,$77,$77,$67,$45,$66,$76
	db $56,$54,$66,$87,$57,$64,$46,$86,$79,$98,$57,$66,$66,$66,$55,$54
	db $75,$77,$67,$66,$55,$76,$78,$67,$55,$66,$76,$57,$44,$65,$76,$67
	db $64,$47,$85,$89,$98,$57,$66,$66,$66,$55,$54,$75,$77,$67,$56,$55
	db $75,$77,$67,$55,$66,$76,$68,$55,$55,$66,$66,$55,$57,$74,$99,$87
	db $68,$66,$56,$65,$45,$44,$75,$67,$77,$67,$55,$76,$78,$67,$55,$65
	db $65,$78,$55,$66,$66,$66,$55,$66,$63,$98,$77,$78,$66,$66,$76,$56
	db $45,$54,$66,$76,$57,$66,$76,$78,$67,$56,$65,$65,$77,$55,$66,$66
	db $66,$56,$74,$46,$A7,$68,$87,$46,$65,$77,$67,$56,$44,$66,$66,$56
	db $55,$76,$77,$66,$56,$65,$77,$77,$56,$65,$55,$65,$56,$64,$57,$96
	db $78,$87,$47,$75,$67,$56,$55,$44,$76,$67,$66,$65,$77,$67,$67,$45
	db $64,$76,$77,$67,$56,$55,$66,$56,$45,$76,$64,$98,$67,$77,$76,$78
	db $67,$45,$44,$64,$56,$65,$66,$76,$77,$67,$55,$66,$76,$66,$67,$55
	db $65,$66,$66,$55,$65,$46,$97,$57,$86,$67,$88,$78,$56,$54,$45,$65
	db $55,$76,$65,$76,$66,$76,$77,$66,$77,$67,$56,$55,$55,$66,$66,$45
	db $75,$65,$77,$77,$88,$76,$78,$56,$55,$55,$54,$67,$66,$66,$65,$56
	db $66,$66,$66,$87,$78,$77,$46,$55,$66,$66,$55,$44,$56,$73,$99,$87
	db $89,$77,$66,$46,$43,$44,$75,$57,$76,$56,$66,$77,$67,$65,$66,$76
	db $66,$66,$65,$66,$67,$56,$55,$43,$46,$85,$78,$A8,$79,$87,$67,$44
	db $54,$55,$65,$55,$55,$66,$77,$77,$77,$78,$66,$67,$55,$55,$65,$66
	db $66,$56,$44,$64,$58,$96,$79,$97,$68,$77,$56,$54,$66,$54,$66,$54
	db $76,$66,$67,$87,$77,$67,$65,$57,$55,$56,$55,$66,$46,$54,$55,$85
	db $67,$A9,$68,$98,$57,$66,$55,$45,$65,$65,$66,$65,$67,$65,$88,$67
	db $66,$66,$76,$67,$66,$66,$66,$57,$45,$54,$44,$85,$67,$A9,$67,$99
	db $66,$67,$44,$44,$56,$44,$56,$64,$77,$87,$79,$67,$76,$56,$65,$45
	db $75,$66,$66,$55,$55,$55,$55,$97,$56,$88,$66,$99,$67,$56,$44,$65
	db $46,$53,$56,$75,$88,$87,$67,$76,$66,$56,$55,$45,$75,$66,$66,$55
	db $66,$66,$67,$87,$54,$88,$76,$79,$65,$56,$66,$55,$35,$64,$57,$86
	db $67,$76,$67,$77,$77,$46,$65,$55,$76,$46,$54,$55,$65,$77,$66,$88
	db $85,$8A,$76,$57,$64,$56,$45,$44,$56,$75,$78,$88,$68,$76,$66,$66
	db $56,$44,$65,$66,$67,$55,$66,$66,$66,$56,$54,$78,$85,$79,$75,$68
	db $76,$66,$45,$43,$55,$76,$78,$88,$67,$77,$77,$55,$55,$55,$66,$55
	db $56,$65,$77,$66,$66,$66,$55,$78,$86,$68,$85,$68,$75,$66,$44,$54
	db $55,$76,$66,$88,$78,$88,$67,$55,$66,$55,$56,$44,$66,$65,$77,$78
	db $67,$66,$65,$78,$75,$57,$75,$67,$75,$55,$66,$65,$66,$77,$66,$78
	db $66,$67,$56,$55,$66,$65,$67,$54,$66,$55,$77,$67,$66,$56,$76,$68
	db $75,$78,$76,$67,$55,$54,$55,$65,$66,$87,$67,$77,$78,$67,$54,$55
	db $55,$66,$56,$64,$67,$76,$77,$77,$66,$56,$66,$57,$85,$68,$75,$68
	db $64,$55,$55,$76,$66,$86,$66,$88,$67,$56,$55,$55,$56,$45,$65,$65
	db $76,$77,$78,$67,$66,$56,$45,$56,$64,$88,$76,$56,$75,$66,$66,$76
	db $56,$66,$67,$66,$66,$66,$56,$66,$46,$54,$66,$55,$76,$77,$77,$76
	db $77,$56,$45,$65,$64,$78,$45,$66,$66,$77,$77,$76,$67,$66,$57,$65
	db $56,$65,$66,$56,$54,$66,$66,$77,$88,$67,$67,$66,$66,$55,$44,$75
	db $56,$76,$66,$77,$66,$77,$77,$66,$66,$65,$77,$55,$66,$66,$56,$45
	db $55,$56,$86,$78,$76,$67,$76,$66,$56,$54,$45,$54,$57,$84,$68,$86
	db $89,$77,$77,$55,$76,$55,$66,$46,$66,$66,$56,$55,$65,$76,$76,$78
	db $76,$67,$76,$66,$66,$55,$45,$54,$64,$56,$87,$89,$98,$68,$67,$66
	db $66,$45,$44,$55,$65,$67,$65,$66,$66,$78,$66,$67,$66,$66,$66,$66
	db $56,$55,$66,$45,$55,$75,$76,$89,$77,$78,$76,$78,$66,$56,$44,$54
	db $56,$64,$66,$76,$77,$77,$67,$66,$77,$56,$65,$45,$64,$67,$56,$55
	db $65,$66,$87,$76,$78,$76,$78,$66,$57,$44,$55,$65,$55,$56,$66,$76
	db $87,$67,$67,$66,$66,$66,$45,$64,$66,$66,$66,$66,$66,$76,$56,$87
	db $65,$88,$66,$67,$54,$66,$66,$56,$56,$65,$67,$87,$67,$76,$66,$76
	db $66,$45,$64,$56,$76,$56,$66,$66,$66,$77,$66,$66,$86,$66,$67,$65
	db $77,$66,$68,$55,$55,$65,$66,$67,$76,$77,$77,$67,$45,$55,$55,$65
	db $56,$66,$67,$87,$78,$76,$67,$65,$66,$55,$46,$65,$77,$88,$67,$66
	db $56,$66,$66,$66,$76,$77,$67,$56,$66,$55,$65,$56,$54,$76,$76,$88
	db $77,$67,$76,$66,$45,$43,$44,$76,$76,$78,$76,$89,$76,$67,$66,$55
	db $66,$55,$67,$65,$67,$75,$67,$55,$54,$55,$75,$78,$87,$77,$77,$66
	db $55,$55,$44,$55,$44,$57,$97,$78,$98,$68,$77,$66,$55,$54,$44,$65
	db $66,$77,$56,$66,$66,$66,$76,$55,$76,$77,$67,$66,$66,$66,$66,$56
	db $44,$55,$65,$77,$99,$78,$87,$67,$66,$55,$44,$55,$65,$66,$65,$77
	db $76,$67,$66,$56,$66,$55,$66,$65,$66,$76,$67,$55,$55,$55,$65,$66
	db $86,$67,$98,$77,$78,$55,$66,$66,$45,$55,$55,$76,$76,$88,$67,$66
	db $56,$66,$55,$54,$66,$76,$66,$66,$77,$66,$66,$66,$65,$56,$76,$56
	db $77,$67,$88,$67,$56,$65,$56,$66,$66,$77,$65,$77,$76,$56,$55,$65
	db $66,$55,$66,$76,$77,$77,$67,$66,$66,$56,$65,$45,$75,$56,$88,$67
	db $77,$66,$67,$66,$66,$66,$66,$66,$56,$65,$66,$76,$46,$54,$66,$76
	db $77,$77,$67,$66,$67,$66,$55,$45,$54,$66,$65,$57,$87,$78,$88,$78
	db $66,$66,$55,$55,$44,$65,$66,$67,$66,$66,$67,$66,$77,$66,$66,$66
	db $66,$56,$55,$66,$66,$56,$55,$65,$76,$78,$76,$78,$86,$78,$66,$55
	db $44,$55,$66,$65,$56,$66,$77,$77,$67,$66,$66,$65,$66,$56,$66,$66
	db $56,$65,$66,$66,$67,$66,$66,$86,$67,$76,$57,$76,$55,$66,$55,$55
	db $75,$67,$76,$67,$76,$77,$67,$55,$45,$54,$66,$67,$66,$66,$77,$77
	db $77,$66,$66,$65,$56,$55,$66,$64,$88,$66,$78,$66,$67,$66,$56,$66
	db $66,$67,$65,$66,$56,$65,$66,$55,$66,$66,$77,$77,$77,$66,$67,$66
	db $55,$55,$54,$66,$56,$76,$65,$98,$77,$89,$67,$66,$56,$55,$55,$55
	db $65,$76,$66,$66,$66,$66,$66,$66,$66,$77,$67,$66,$66,$55,$65,$56
	db $55,$65,$56,$66,$76,$79,$86,$89,$76,$67,$55,$44,$65,$45,$66,$65
	db $77,$77,$78,$66,$65,$55,$55,$66,$56,$76,$88,$66,$67,$55,$55,$66
	db $66,$66,$66,$55,$76,$68,$76,$89,$67,$66,$55,$55,$66,$66,$76,$77
	db $77,$67,$56,$44,$44,$65,$55,$66,$77,$98,$99,$78,$66,$55,$55,$55
	db $44,$54,$66,$67,$76,$78,$76,$98,$77,$76,$56,$45,$65,$56,$66,$66
	db $77,$57,$55,$55,$65,$66,$66,$77,$88,$88,$78,$56,$44,$44,$55,$45
	db $55,$66,$77,$77,$77,$87,$77,$97,$57,$55,$45,$65,$56,$55,$65,$77
	db $77,$67,$66,$55,$65,$55,$66,$66,$77,$88,$67,$56,$45,$55,$55,$66
	db $67,$77,$77,$67,$55,$65,$67,$77,$67,$65,$76,$76,$66,$66,$65,$76
	db $66,$56,$55,$45,$65,$56,$65,$76,$88,$88,$78,$56,$55,$55,$55,$55
	db $67,$76,$77,$56,$55,$55,$86,$76,$98,$78,$78,$57,$46,$54,$55,$65
	db $67,$54,$65,$66,$66,$67,$66,$86,$88,$77,$67,$56,$55,$55,$45,$65
	db $66,$77,$66,$56,$55,$55,$65,$78,$77,$99,$76,$66,$44,$34,$65,$66
	db $76,$67,$77,$67,$55,$44,$55,$65,$87,$68,$76,$67,$66,$66,$55,$65
	db $77,$77,$67,$45,$44,$54,$66,$86,$88,$98,$69,$56,$45,$55,$54,$76
	db $77,$87,$67,$55,$55,$44,$55,$76,$77,$87,$88,$78,$66,$66,$45,$55
	db $65,$66,$56,$55,$55,$66,$56,$75,$8A,$89,$99,$67,$43,$53,$44,$76
	db $77,$77,$77,$47,$34,$54,$55,$76,$88,$88,$88,$67,$55,$45,$55,$65
	db $77,$56,$66,$66,$66,$66,$66,$65,$9A,$78,$87,$66,$44,$64,$57,$65
	db $87,$78,$67,$67,$34,$54,$65,$76,$87,$88,$77,$67,$56,$54,$65,$65
	db $66,$67,$76,$66,$56,$44,$55,$85,$9A,$79,$68,$66,$44,$64,$56,$76
	db $88,$78,$55,$45,$34,$54,$86,$88,$87,$78,$56,$55,$55,$55,$66,$66
	db $76,$67,$56,$56,$45,$65,$65,$98,$78,$87,$76,$56,$45,$66,$66,$77
	db $87,$57,$54,$54,$45,$55,$87,$78,$77,$77,$57,$65,$66,$66,$65,$77
	db $66,$66,$56,$44,$54,$65,$98,$89,$97,$76,$46,$34,$56,$76,$77,$88
	db $47,$44,$54,$55,$65,$76,$76,$66,$66,$67,$66,$87,$77,$56,$55,$56
	db $65,$55,$55,$44,$85,$89,$78,$67,$77,$55,$64,$87,$78,$67,$66,$55
	db $44,$55,$66,$55,$65,$77,$55,$66,$76,$77,$88,$77,$55,$55,$66,$56
	db $45,$55,$65,$88,$77,$66,$55,$45,$44,$96,$9A,$89,$77,$66,$44,$53
	db $65,$67,$67,$56,$24,$43,$75,$78,$87,$78,$78,$67,$66,$66,$45,$44
	db $65,$98,$78,$66,$43,$44,$34,$76,$99,$99,$88,$78,$55,$54,$66,$66
	db $66,$55,$56,$44,$44,$75,$77,$88,$77,$78,$77,$67,$56,$44,$54,$88
	db $89,$56,$65,$44,$33,$53,$99,$8A,$68,$77,$66,$55,$76,$77,$68,$55
	db $64,$66,$66,$76,$56,$43,$65,$76,$78,$66,$66,$44,$64,$99,$79,$46
	db $54,$45,$42,$53,$97,$68,$67,$78,$88,$77,$97,$99,$78,$56,$66,$65
	db $67,$66,$56,$55,$65,$55,$55,$56,$66,$45,$66,$A8,$78,$35,$54,$35
	db $44,$56,$76,$67,$55,$44,$45,$75,$98,$8A,$78,$66,$76,$67,$76,$78
	db $56,$55,$56,$65,$77,$55,$54,$55,$98,$8A,$58,$65,$54,$65,$55,$76
	db $77,$56,$45,$55,$65,$66,$76,$78,$77,$77,$67,$77,$98,$78,$77,$76
	db $77,$77,$56,$35,$33,$65,$77,$65,$56,$45,$45,$55,$87,$78,$55,$65
	db $34,$43,$55,$76,$68,$56,$44,$44,$64,$88,$77,$87,$77,$77,$78,$67
	db $77,$55,$65,$89,$88,$67,$44,$44,$44,$75,$9A,$78,$78,$88,$77,$55
	db $86,$99,$78,$77,$66,$56,$45,$55,$86,$87,$98,$79,$98,$89,$56,$33
	db $33,$87,$67,$45,$54,$13,$10,$21,$64,$56,$56,$65,$45,$43,$55,$66
	db $87,$67,$76,$56,$55,$55,$34,$55,$66,$88,$98,$89,$77,$67,$66,$98
	db $98,$89,$66,$56,$44,$33,$45,$45,$75,$87,$99,$78,$86,$89,$88,$88
	db $88,$87,$78,$66,$66,$55,$55,$76,$87,$99,$68,$66,$45,$54,$87,$77
	db $66,$66,$45,$24,$11,$22,$32,$33,$54,$55,$66,$66,$66,$67,$76,$77
	db $68,$66,$56,$54,$55,$65,$67,$77,$66,$77,$66,$77,$88,$87,$89,$88
	db $78,$67,$65,$45,$55,$56,$65,$66,$66,$77,$88,$88,$78,$78,$88,$78
	db $77,$67,$67,$65,$77,$66,$67,$45,$34,$33,$64,$66,$55,$66,$67,$55
	db $45,$44,$44,$33,$43,$45,$44,$55,$43,$64,$77,$76,$77,$67,$87,$67
	db $66,$77,$87,$88,$78,$76,$67,$44,$65,$56,$86,$88,$77,$77,$66,$87
	db $67,$66,$77,$67,$66,$66,$65,$66,$65,$77,$77,$98,$78,$67,$76,$78
	db $87,$68,$86,$68,$45,$45,$44,$54,$34,$33,$54,$44,$55,$45,$43,$55
	db $44,$55,$55,$65,$46,$44,$65,$56,$65,$66,$65,$77,$77,$88,$67,$98
	db $99,$88,$88,$78,$66,$67,$65,$67,$55,$55,$45,$65,$77,$67,$76,$77
	db $87,$88,$67,$77,$66,$87,$66,$66,$66,$55,$65,$66,$76,$88,$67,$77
	db $67,$76,$67,$65,$56,$45,$44,$34,$22,$33,$22,$64,$45,$54,$55,$65
	db $77,$77,$66,$77,$66,$76,$56,$76,$67,$55,$66,$76,$87,$77,$77,$98
	db $88,$98,$78,$76,$56,$54,$66,$55,$44,$44,$54,$76,$67,$76,$78,$87
	db $79,$77,$88,$67,$86,$68,$76,$67,$55,$55,$66,$65,$67,$65,$76,$77
	db $87,$67,$55,$55,$45,$43,$45,$42,$34,$22,$43,$44,$65,$67,$76,$98
	db $78,$77,$77,$77,$78,$67,$76,$66,$66,$66,$65,$86,$89,$88,$89,$77
	db $77,$56,$76,$66,$66,$56,$34,$54,$55,$65,$66,$66,$87,$67,$76,$67
	db $76,$88,$77,$87,$68,$66,$56,$54,$76,$56,$65,$66,$76,$78,$56,$55
	db $66,$55,$55,$44,$44,$23,$32,$44,$54,$66,$56,$76,$77,$77,$77,$66
	db $87,$77,$77,$67,$66,$66,$55,$76,$88,$88,$77,$67,$77,$67,$65,$66
	db $66,$66,$45,$55,$45,$54,$66,$76,$87,$67,$66,$66,$77,$87,$77,$88
	db $88,$77,$67,$56,$65,$55,$65,$77,$77,$77,$56,$76,$56,$65,$56,$55
	db $45,$33,$33,$43,$54,$65,$65,$76,$78,$67,$77,$66,$76,$67,$87,$78
	db $77,$67,$55,$76,$67,$76,$78,$77,$78,$66,$56,$55,$65,$66,$56,$65
	db $45,$44,$44,$65,$77,$77,$77,$77,$77,$88,$67,$87,$78,$87,$78,$66
	db $56,$44,$65,$66,$87,$78,$67,$76,$67,$55,$55,$55,$56,$34,$33,$33
	db $32,$44,$54,$76,$78,$77,$67,$76,$77,$66,$77,$77,$77,$67,$55,$66
	db $66,$66,$77,$87,$88,$67,$66,$66,$66,$66,$66,$67,$55,$44,$34,$53
	db $66,$66,$77,$87,$88,$78,$77,$88,$87,$88,$88,$77,$57,$44,$54,$65
	db $76,$77,$77,$88,$67,$66,$55,$65,$66,$55,$45,$34,$33,$22,$43,$65
	db $66,$77,$66,$77,$67,$66,$76,$77,$88,$67,$66,$67,$45,$54,$66,$77
	db $78,$77,$77,$66,$66,$56,$66,$77,$66,$55,$44,$44,$44,$54,$66,$76
	db $88,$78,$87,$88,$77,$88,$88,$88,$67,$55,$45,$54,$66,$66,$76,$88
	db $78,$77,$66,$65,$56,$65,$66,$45,$44,$22,$43,$55,$65,$66,$66,$77
	db $67,$55,$66,$66,$77,$77,$77,$66,$45,$44,$55,$76,$67,$76,$88,$67
	db $66,$56,$76,$67,$76,$67,$45,$44,$34,$64,$66,$87,$77,$78,$77,$68
	db $66,$76,$77,$87,$79,$66,$55,$44,$65,$66,$76,$88,$88,$88,$67,$56
	db $66,$65,$66,$67,$45,$34,$23,$54,$66,$76,$87,$88,$78,$67,$46,$65
	db $66,$76,$88,$67,$45,$44,$54,$55,$66,$66,$76,$87,$77,$66,$66,$77
	db $66,$77,$55,$44,$33,$33,$86,$77,$98,$87,$78,$77,$47,$65,$66,$76
	db $87,$68,$55,$45,$43,$65,$66,$76,$78,$87,$88,$67,$66,$66,$55,$66
	db $56,$44,$33,$54,$65,$87,$87,$67,$67,$57,$56,$65,$76,$87,$88,$78
	db $57,$34,$32,$43,$65,$76,$77,$88,$88,$77,$56,$65,$66,$65,$66,$65
	db $46,$54,$67,$86,$76,$66,$55,$57,$66,$66,$87,$88,$89,$78,$66,$44
	db $22,$32,$65,$77,$88,$88,$78,$77,$56,$55,$55,$65,$88,$76,$87,$44
	db $44,$45,$45,$66,$56,$76,$77,$67,$87,$77,$87,$67,$66,$45,$23,$43
	db $55,$86,$88,$67,$77,$56,$55,$55,$88,$87,$A9,$87,$67,$35,$23,$44
	db $54,$76,$76,$77,$87,$77,$76,$66,$76,$66,$66,$66,$46,$44,$54,$66
	db $66,$66,$66,$76,$78,$77,$79,$77,$87,$66,$54,$46,$23,$44,$65,$87
	db $88,$67,$67,$66,$65,$55,$76,$88,$78,$88,$56,$34,$33,$33,$65,$88
	db $86,$98,$77,$78,$57,$56,$66,$65,$75,$56,$56,$55,$55,$76,$66,$66
	db $56,$55,$76,$77,$87,$88,$88,$67,$56,$44,$42,$45,$66,$89,$88,$87
	db $66,$65,$57,$55,$66,$76,$77,$77,$56,$45,$33,$44,$64,$76,$77,$67
	db $77,$77,$66,$66,$67,$66,$88,$76,$76,$54,$55,$56,$56,$66,$55,$75
	db $77,$77,$77,$77,$77,$56,$56,$45,$34,$43,$75,$77,$77,$67,$55,$66
	db $56,$86,$77,$98,$79,$78,$68,$24,$42,$32,$54,$76,$77,$88,$88,$88
	db $57,$55,$55,$55,$65,$66,$66,$56,$55,$65,$66,$66,$65,$67,$87,$8A
	db $97,$98,$77,$66,$46,$34,$34,$43,$65,$76,$88,$78,$76,$67,$55,$55
	db $66,$76,$88,$77,$67,$45,$33,$33,$75,$76,$97,$78,$89,$79,$67,$75
	db $65,$65,$55,$66,$65,$55,$54,$56,$66,$56,$66,$76,$77,$77,$66,$77
	db $66,$66,$55,$54,$46,$44,$76,$86,$98,$67,$66,$68,$55,$66,$65,$77
	db $78,$88,$78,$55,$34,$32,$43,$66,$76,$88,$88,$78,$67,$56,$55,$75
	db $66,$87,$57,$56,$45,$64,$65,$56,$66,$66,$76,$77,$77,$88,$67,$77
	db $56,$55,$44,$33,$54,$66,$87,$67,$76,$67,$56,$76,$55,$97,$68,$88
	db $68,$55,$43,$22,$54,$55,$76,$87,$88,$88,$68,$66,$56,$66,$66,$77
	db $66,$55,$34,$54,$55,$55,$66,$86,$78,$87,$69,$88,$77,$76,$66,$45
	db $44,$23,$64,$66,$87,$77,$78,$78,$56,$65,$54,$76,$77,$88,$77,$56
	db $44,$22,$44,$54,$78,$86,$AA,$97,$78,$57,$56,$56,$65,$66,$55,$56
	db $54,$65,$66,$65,$67,$76,$77,$66,$76,$67,$87,$88,$77,$56,$33,$22
	db $32,$66,$76,$98,$A8,$89,$67,$56,$45,$65,$66,$76,$78,$56,$45,$44
	db $64,$56,$65,$77,$87,$78,$66,$76,$66,$77,$67,$66,$45,$34,$63,$55
	db $86,$78,$77,$78,$77,$66,$45,$65,$67,$87,$77,$66,$55,$34,$44,$44
	db $65,$66,$87,$88,$77,$77,$66,$77,$76,$77,$56,$34,$53,$44,$76,$67
	db $88,$78,$87,$67,$45,$66,$55,$86,$87,$77,$56,$45,$55,$44,$65,$66
	db $87,$87,$77,$77,$66,$76,$66,$77,$66,$45,$33,$56,$64,$88,$86,$88
	db $77,$67,$56,$54,$65,$76,$78,$78,$67,$56,$43,$34,$43,$55,$76,$87
	db $88,$78,$66,$76,$67,$76,$56,$55,$34,$64,$45,$76,$77,$88,$78,$77
	db $66,$45,$55,$66,$77,$87,$77,$56,$55,$44,$43,$55,$76,$88,$77,$77
	db $67,$66,$66,$76,$77,$56,$55,$44,$56,$64,$67,$86,$88,$77,$67,$56
	db $54,$66,$75,$78,$66,$67,$45,$54,$45,$53,$66,$76,$88,$78,$77,$66
	db $76,$77,$66,$66,$45,$33,$65,$43,$86,$77,$98,$89,$77,$67,$44,$65
	db $55,$77,$77,$66,$66,$55,$45,$54,$55,$76,$77,$76,$77,$66,$76,$67
	db $87,$68,$55,$45,$53,$46,$55,$67,$88,$88,$88,$77,$56,$55,$55,$76
	db $77,$77,$56,$55,$56,$44,$55,$65,$77,$77,$76,$78,$66,$87,$77,$77
	db $66,$34,$43,$45,$65,$67,$87,$98,$78,$77,$46,$54,$55,$65,$77,$78
	db $67,$56,$56,$44,$55,$55,$66,$77,$67,$77,$66,$77,$66,$87,$67,$46
	db $54,$34,$65,$56,$86,$88,$88,$77,$56,$55,$44,$65,$76,$77,$78,$56
	db $44,$44,$54,$65,$77,$76,$78,$76,$67,$66,$77,$77,$77,$56,$54,$34
	db $65,$55,$87,$77,$88,$78,$56,$56,$44,$76,$66,$87,$78,$56,$56,$43
	db $55,$55,$76,$76,$77,$67,$66,$66,$76,$67,$76,$67,$67,$55,$45,$64
	db $66,$76,$77,$77,$77,$56,$65,$56,$76,$77,$77,$77,$45,$44,$44,$54
	db $76,$77,$87,$67,$66,$66,$65,$77,$77,$98,$66,$66,$44,$54,$55,$66
	db $67,$76,$68,$66,$67,$65,$76,$66,$76,$67,$65,$45,$44,$65,$66,$76
	db $67,$76,$55,$65,$55,$66,$97,$78,$98,$67,$56,$34,$54,$54,$65,$77
	db $77,$77,$66,$66,$66,$76,$67,$66,$67,$55,$45,$54,$66,$66,$77,$67
	db $66,$55,$65,$87,$87,$99,$88,$78,$45,$44,$23,$43,$66,$76,$88,$77
	db $77,$66,$66,$66,$66,$66,$66,$66,$66,$55,$55,$66,$66,$66,$56,$54
	db $77,$76,$99,$97,$89,$67,$56,$45,$33,$44,$54,$67,$87,$88,$67,$66
	db $56,$65,$66,$66,$77,$77,$67,$56,$55,$45,$65,$66,$76,$57,$87,$88
	db $88,$88,$77,$56,$34,$34,$33,$33,$43,$65,$77,$88,$68,$66,$66,$66
	db $76,$77,$88,$88,$87,$77,$56,$55,$44,$66,$76,$88,$76,$78,$77,$67
	db $56,$65,$56,$54,$45,$44,$44,$44,$54,$66,$66,$56,$55,$66,$66,$76
	db $77,$77,$67,$66,$55,$65,$44,$76,$77,$89,$88,$77,$77,$66,$67,$66
	db $67,$66,$66,$56,$45,$34,$43,$55,$76,$67,$66,$76,$77,$76,$67,$77
	db $67,$86,$68,$88,$67,$66,$66,$77,$77,$56,$66,$66,$77,$76,$77,$76
	db $66,$66,$45,$34,$33,$33,$64,$66,$77,$66,$66,$55,$55,$65,$56,$87
	db $78,$87,$57,$55,$54,$55,$76,$77,$87,$77,$87,$78,$77,$77,$66,$66
	db $66,$56,$44,$44,$65,$77,$88,$78,$67,$76,$68,$87,$89,$98,$99,$98
	db $78,$56,$55,$44,$65,$77,$77,$77,$66,$67,$55,$56,$55,$56,$55,$45
	db $23,$22,$22,$32,$54,$55,$67,$65,$67,$65,$66,$66,$66,$67,$76,$56
	db $55,$55,$65,$87,$88,$88,$78,$77,$66,$66,$76,$77,$77,$66,$56,$44
	db $33,$43,$77,$97,$9A,$87,$88,$77,$77,$77,$87,$89,$88,$78,$67,$56
	db $55,$65,$76,$77,$67,$76,$66,$66,$56,$65,$66,$55,$44,$13,$31,$22
	db $53,$55,$66,$66,$56,$55,$44,$65,$66,$77,$77,$77,$67,$55,$45,$54
	db $76,$77,$88,$88,$78,$67,$66,$77,$77,$77,$66,$68,$66,$56,$65,$76
	db $77,$77,$67,$76,$67,$76,$77,$98,$99,$78,$77,$56,$55,$44,$54,$66
	db $77,$77,$56,$66,$45,$54,$55,$65,$56,$55,$35,$33,$33,$32,$44,$54
	db $66,$56,$76,$56,$76,$67,$76,$78,$76,$67,$55,$65,$66,$76,$88,$98
	db $78,$67,$67,$65,$86,$78,$98,$68,$77,$46,$54,$45,$54,$67,$66,$88
	db $76,$87,$67,$87,$89,$98,$78,$67,$67,$44,$55,$55,$66,$66,$67,$55
	db $55,$45,$55,$65,$66,$66,$45,$34,$22,$22,$22,$43,$55,$66,$66,$66
	db $66,$66,$67,$77,$77,$77,$67,$66,$66,$66,$87,$88,$88,$77,$66,$76
	db $66,$98,$78,$99,$78,$67,$45,$43,$44,$54,$76,$76,$88,$77,$77,$77
	db $77,$78,$87,$78,$77,$66,$55,$66,$56,$66,$56,$66,$45,$65,$55,$76
	db $67,$77,$56,$45,$33,$11,$22,$32,$55,$66,$76,$66,$66,$56,$65,$66
	db $76,$88,$88,$77,$67,$66,$66,$76,$67,$76,$66,$77,$76,$88,$87,$88
	db $88,$67,$45,$33,$44,$44,$55,$76,$77,$88,$66,$66,$66,$77,$88,$98
	db $89,$78,$66,$54,$55,$55,$55,$66,$66,$66,$65,$77,$66,$67,$56,$56
	db $44,$33,$12,$32,$44,$64,$67,$66,$66,$55,$55,$66,$87,$88,$99,$88
	db $78,$66,$66,$65,$76,$77,$77,$88,$66,$88,$67,$88,$78,$77,$67,$44
	db $45,$33,$45,$55,$76,$77,$77,$66,$66,$66,$87,$88,$98,$89,$67,$66
	db $44,$55,$55,$65,$66,$77,$66,$66,$65,$67,$66,$66,$55,$44,$23,$22
	db $34,$44,$65,$66,$76,$56,$55,$55,$75,$77,$88,$88,$88,$67,$66,$65
	db $66,$76,$76,$88,$87,$78,$76,$67,$77,$67,$76,$55,$45,$44,$34,$54
	db $66,$76,$87,$67,$66,$66,$76,$77,$98,$98,$89,$78,$66,$45,$55,$55
	db $75,$67,$87,$68,$66,$56,$66,$66,$56,$55,$45,$44,$22,$43,$54,$66
	db $66,$66,$67,$55,$65,$66,$87,$88,$88,$78,$66,$56,$55,$66,$87,$76
	db $98,$77,$77,$66,$66,$66,$66,$66,$55,$45,$44,$44,$54,$55,$66,$77
	db $67,$66,$66,$76,$87,$88,$99,$89,$77,$56,$44,$64,$56,$76,$78,$87
	db $68,$65,$55,$55,$65,$55,$65,$45,$34,$23,$43,$54,$55,$66,$76,$67
	db $55,$66,$66,$87,$88,$88,$77,$66,$56,$65,$76,$88,$87,$88,$77,$67
	db $66,$55,$66,$66,$67,$66,$56,$44,$44,$55,$65,$66,$87,$77,$77,$66
	db $77,$77,$88,$89,$78,$67,$66,$55,$76,$66,$77,$67,$78,$66,$55,$55
	db $55,$66,$66,$66,$55,$34,$33,$33,$54,$65,$66,$76,$67,$55,$65,$65
	db $76,$77,$87,$77,$68,$66,$66,$86,$67,$76,$77,$67,$66,$56,$65,$66
	db $76,$67,$66,$56,$34,$43,$54,$66,$76,$88,$77,$78,$66,$66,$77,$77
	db $88,$99,$88,$78,$65,$66,$65,$67,$66,$76,$66,$65,$56,$66,$66,$66
	db $66,$55,$33,$33,$43,$55,$66,$66,$77,$56,$55,$45,$54,$66,$87,$97
	db $99,$77,$67,$55,$66,$55,$65,$76,$76,$68,$66,$77,$76,$77,$67,$66
	db $56,$45,$45,$65,$66,$77,$77,$77,$67,$55,$66,$76,$87,$A9,$89,$89
	db $56,$55,$43,$54,$55,$66,$77,$66,$76,$66,$66,$66,$66,$66,$55,$55
	db $44,$44,$65,$66,$66,$66,$55,$55,$54,$66,$87,$88,$99,$78,$77,$45
	db $44,$44,$54,$65,$76,$87,$78,$76,$67,$66,$66,$66,$76,$66,$66,$55
	db $55,$65,$66,$66,$67,$66,$77,$77,$98,$98,$89,$88,$68,$56,$45,$43
	db $54,$55,$76,$78,$77,$67,$65,$66,$55,$66,$67,$66,$66,$56,$55,$45
	db $44,$44,$55,$66,$65,$86,$87,$78,$77,$78,$67,$66,$54,$55,$45,$55
	db $55,$65,$77,$66,$66,$66,$77,$67,$76,$77,$67,$66,$66,$55,$55,$44
	db $65,$76,$98,$77,$78,$78,$78,$77,$77,$66,$66,$56,$55,$66,$65,$55
	db $55,$65,$56,$65,$66,$66,$77,$77,$67,$66,$66,$55,$44,$65,$55,$76
	db $56,$67,$56,$77,$66,$77,$76,$77,$67,$66,$77,$65,$66,$45,$55,$55
	db $65,$56,$65,$77,$67,$77,$76,$66,$66,$55,$76,$66,$76,$56,$77,$67
	db $66,$55,$65,$65,$77,$78,$77,$77,$76,$67,$66,$56,$45,$65,$66,$55
	db $66,$66,$66,$66,$66,$66,$56,$76,$67,$87,$68,$67,$56,$65,$55,$55
	db $54,$55,$66,$76,$87,$77,$77,$66,$66,$56,$55,$66,$65,$76,$66,$66
	db $56,$55,$55,$55,$65,$67,$87,$79,$98,$78,$65,$65,$56,$45,$55,$66
	db $66,$76,$66,$67,$66,$66,$66,$65,$77,$66,$76,$66,$76,$56,$65,$56
	db $45,$45,$56,$75,$87,$97,$88,$67,$67,$56,$55,$55,$55,$65,$66,$77
	db $67,$66,$55,$55,$65,$66,$66,$76,$66,$87,$67,$66,$56,$55,$55,$65
	db $66,$76,$57,$77,$67,$77,$66,$55,$65,$66,$66,$56,$76,$77,$77,$67
	db $66,$55,$55,$55,$65,$66,$76,$76,$76,$77,$56,$55,$55,$76,$76,$87
	db $76,$67,$66,$56,$55,$55,$65,$55,$66,$67,$77,$77,$77,$66,$66,$66
	db $55,$66,$55,$55,$55,$65,$77,$66,$66,$65,$66,$77,$76,$88,$76,$87
	db $66,$67,$55,$44,$44,$54,$76,$67,$66,$77,$87,$77,$77,$66,$66,$66
	db $66,$66,$55,$45,$44,$55,$65,$66,$66,$86,$88,$88,$78,$77,$67,$67
	db $66,$55,$44,$44,$44,$55,$66,$66,$77,$77,$87,$78,$67,$76,$66,$66
	db $66,$55,$55,$54,$55,$55,$55,$66,$76,$77,$87,$88,$78,$77,$77,$66
	db $56,$45,$55,$55,$44,$44,$65,$77,$87,$78,$87,$88,$67,$66,$56,$66
	db $55,$55,$66,$55,$45,$44,$65,$66,$77,$77,$97,$89,$88,$77,$67,$55
	db $55,$45,$55,$45,$44,$55,$66,$77,$78,$77,$77,$77,$77,$66,$66,$66
	db $66,$66,$66,$55,$44,$44,$54,$66,$77,$88,$88,$99,$88,$77,$66,$66
	db $55,$55,$55,$55,$65,$56,$65,$66,$77,$67,$66,$77,$77,$66,$66,$67
	db $66,$56,$55,$55,$45,$44,$55,$66,$77,$87,$88,$78,$77,$67,$66,$66
	db $66,$55,$65,$66,$56,$45,$54,$55,$76,$77,$66,$77,$77,$77,$77,$77
	db $56,$55,$55,$55,$55,$55,$55,$65,$77,$77,$77,$66,$77,$77,$76,$67
	db $76,$77,$67,$66,$56,$55,$44,$54,$66,$66,$76,$77,$87,$78,$67,$66
	db $66,$66,$66,$66,$66,$56,$55,$55,$65,$66,$66,$76,$77,$77,$67,$76
	db $77,$66,$66,$66,$66,$56,$55,$55,$65,$66,$76,$77,$77,$67,$66,$66
	db $66,$66,$66,$66,$67,$66,$56,$44,$55,$65,$66,$66,$76,$77,$77,$77
	db $77,$66,$66,$55,$65,$55,$44,$55,$55,$76,$77,$77,$76,$77,$77,$66
	db $66,$66,$66,$66,$66,$56,$55,$44,$44,$65,$76,$66,$77,$88,$77,$77
	db $66,$66,$66,$66,$65,$56,$55,$45,$55,$65,$66,$66,$76,$88,$88,$77
	db $77,$77,$67,$66,$55,$55,$45,$44,$44,$65,$66,$77,$88,$87,$78,$67
	db $66,$66,$66,$55,$56,$66,$55,$45,$44,$54,$65,$77,$77,$87,$88,$88
	db $78,$77,$66,$56,$55,$55,$55,$55,$44,$54,$66,$77,$77,$77,$77,$77
	db $66,$66,$66,$66,$66,$65,$56,$45,$44,$54,$66,$76,$77,$77,$88,$78
	db $77,$66,$66,$55,$55,$55,$66,$55,$55,$66,$66,$77,$77,$77,$77,$77
	db $67,$66,$66,$66,$66,$55,$55,$55,$55,$55,$65,$76,$88,$78,$77,$77
	db $67,$66,$56,$66,$66,$56,$65,$66,$56,$55,$55,$66,$77,$76,$87,$88
	db $88,$77,$66,$66,$56,$44,$55,$56,$55,$55,$55,$66,$77,$77,$67,$77
	db $77,$66,$66,$66,$66,$66,$66,$56,$55,$55,$55,$65,$76,$77,$77,$77
	db $77,$77,$67,$66,$66,$66,$66,$66,$56,$55,$55,$54,$66,$76,$66,$66
	db $76,$77,$66,$66,$66,$67,$66,$66,$55,$55,$54,$55,$66,$77,$67,$66
	db $77,$67,$66,$65,$77,$67,$77,$77,$67,$56,$55,$44,$55,$65,$66,$76
	db $77,$77,$77,$77,$66,$66,$56,$66,$66,$65,$55,$55,$55,$66,$66,$66
	db $66,$66,$76,$67,$66,$98,$77,$87,$67,$56,$45,$45,$43,$65,$66,$77
	db $77,$77,$88,$67,$66,$66,$66,$66,$66,$66,$66,$55,$45,$55,$66,$66
	db $65,$76,$77,$77,$77,$8A,$77,$88,$65,$55,$44,$23,$53,$56,$76,$77
	db $88,$77,$77,$65,$66,$65,$66,$76,$77,$67,$56,$44,$44,$55,$55,$65
	db $77,$77,$76,$96,$69,$87,$6A,$76,$66,$55,$44,$55,$44,$76,$66,$77
	db $67,$56,$66,$55,$86,$78,$77,$78,$66,$76,$46,$54,$55,$54,$65,$56
	db $66,$A6,$67,$97,$5A,$67,$66,$54,$64,$57,$65,$78,$76,$66,$55,$44
	db $56,$55,$76,$77,$87,$78,$77,$67,$45,$55,$55,$65,$66,$45,$64,$6A
	db $77,$8A,$75,$66,$76,$46,$77,$65,$87,$67,$67,$57,$35,$43,$33,$54
	db $65,$77,$77,$77,$77,$45,$55,$55,$76,$67,$77,$86,$7A,$87,$8A,$85
	db $86,$76,$46,$67,$66,$87,$66,$77,$57,$45,$65,$44,$65,$55,$66,$76
	db $66,$46,$33,$54,$55,$56,$65,$67,$A5,$57,$77,$49,$67,$56,$64,$74
	db $67,$88,$89,$96,$87,$45,$46,$46,$75,$67,$64,$77,$67,$77,$45,$44
	db $56,$44,$65,$55,$64,$6B,$76,$AA,$85,$65,$45,$55,$89,$85,$A9,$77
	db $78,$48,$45,$66,$53,$86,$66,$97,$77,$57,$56,$35,$44,$55,$34,$54
	db $45,$79,$75,$96,$74,$55,$45,$24,$55,$65,$87,$78,$89,$68,$56,$55
	db $53,$55,$64,$87,$87,$79,$57,$65,$56,$65,$67,$65,$76,$6A,$87,$7A
	db $74,$64,$53,$65,$79,$87,$99,$85,$A9,$79,$68,$68,$54,$77,$54,$86
	db $67,$66,$67,$65,$66,$24,$34,$44,$95,$56,$75,$27,$36,$25,$32,$41
	db $33,$54,$57,$76,$66,$64,$54,$56,$68,$77,$88,$76,$89,$67,$66,$55
	db $54,$77,$55,$77,$7A,$96,$AA,$84,$76,$34,$45,$57,$74,$87,$64,$88
	db $69,$88,$78,$74,$77,$77,$99,$98,$99,$78,$66,$46,$55,$46,$65,$A7
	db $76,$A9,$27,$46,$36,$53,$42,$42,$66,$36,$66,$34,$52,$32,$32,$44
	db $55,$67,$56,$98,$88,$77,$67,$55,$65,$56,$84,$5A,$87,$7B,$86,$87
	db $55,$54,$56,$87,$88,$A6,$89,$67,$67,$35,$55,$34,$85,$78,$A8,$9A
	db $76,$87,$57,$66,$56,$76,$8A,$85,$A8,$66,$56,$36,$34,$45,$43,$44
	db $65,$68,$67,$56,$54,$34,$22,$22,$32,$54,$56,$66,$66,$55,$45,$44
	db $75,$A7,$78,$BB,$6A,$88,$57,$64,$64,$44,$77,$56,$87,$78,$96,$98
	db $66,$68,$56,$66,$56,$76,$77,$77,$66,$66,$55,$65,$45,$98,$97,$CB
	db $A9,$8A,$77,$46,$45,$54,$65,$75,$68,$66,$56,$44,$33,$33,$53,$56
	db $65,$76,$45,$54,$24,$32,$33,$32,$43,$47,$85,$79,$95,$98,$87,$78
	db $58,$65,$66,$86,$87,$88,$78,$68,$55,$44,$55,$64,$88,$98,$AA,$79
	db $66,$56,$34,$44,$44,$87,$86,$98,$97,$68,$66,$56,$77,$87,$78,$87
	db $67,$76,$68,$66,$66,$34,$54,$33,$64,$45,$56,$77,$66,$66,$34,$33
	db $22,$52,$44,$77,$67,$68,$45,$54,$44,$53,$87,$98,$BB,$9A,$88,$77
	db $65,$66,$56,$66,$67,$66,$77,$56,$65,$66,$76,$88,$67,$57,$66,$74
	db $88,$76,$68,$46,$56,$45,$63,$66,$86,$9A,$9A,$9A,$68,$55,$44,$65
	db $66,$77,$66,$66,$56,$34,$34,$33,$54,$65,$76,$87,$64,$67,$43,$56
	db $34,$44,$44,$54,$66,$65,$77,$87,$99,$99,$89,$77,$66,$66,$86,$78
	db $87,$68,$66,$56,$44,$54,$55,$76,$98,$8A,$99,$58,$75,$55,$65,$54
	db $45,$66,$56,$66,$66,$87,$88,$88,$89,$77,$57,$54,$66,$76,$77,$66
	db $65,$45,$44,$33,$33,$44,$85,$67,$99,$68,$57,$44,$44,$34,$32,$44
	db $54,$76,$66,$76,$77,$87,$89,$88,$78,$66,$76,$77,$88,$77,$66,$55
	db $55,$44,$33,$44,$85,$88,$BA,$8A,$79,$45,$45,$44,$43,$55,$65,$77
	db $66,$77,$77,$86,$77,$87,$88,$77,$77,$77,$88,$67,$56,$55,$44,$33
	db $33,$32,$64,$57,$97,$8A,$87,$56,$33,$44,$23,$54,$44,$76,$76,$66
	db $56,$66,$66,$87,$89,$99,$89,$77,$78,$67,$76,$45,$55,$45,$54,$45
	db $44,$86,$76,$A9,$88,$78,$56,$55,$45,$54,$55,$75,$66,$66,$67,$65
	db $76,$76,$98,$89,$89,$78,$77,$77,$56,$55,$55,$55,$55,$44,$43,$34
	db $65,$75,$99,$87,$68,$44,$55,$34,$43,$45,$64,$67,$65,$66,$66,$77
	db $88,$98,$99,$88,$67,$76,$67,$66,$66,$65,$66,$55,$45,$33,$64,$76
	db $78,$A9,$79,$78,$56,$65,$55,$54,$66,$54,$77,$67,$66,$77,$87,$99
	db $98,$89,$77,$77,$76,$66,$56,$56,$55,$55,$44,$33,$33,$53,$66,$97
	db $78,$78,$66,$56,$55,$34,$45,$54,$56,$54,$56,$65,$76,$88,$A8,$89
	db $77,$56,$65,$66,$55,$65,$66,$66,$56,$45,$44,$54,$65,$87,$88,$98
	db $67,$87,$78,$77,$67,$56,$66,$66,$56,$55,$66,$87,$88,$99,$99,$78
	db $66,$56,$55,$55,$55,$66,$56,$55,$34,$33,$54,$65,$76,$77,$66,$66
	db $56,$65,$66,$76,$66,$55,$56,$44,$54,$55,$86,$99,$88,$78,$66,$66
	db $55,$54,$55,$66,$66,$66,$56,$55,$55,$66,$77,$77,$67,$66,$66,$66
	db $76,$67,$87,$78,$67,$66,$45,$65,$65,$87,$98,$99,$78,$66,$66,$55
	db $55,$54,$65,$65,$55,$55,$55,$66,$76,$77,$66,$56,$44,$55,$54,$65
	db $66,$77,$77,$77,$66,$54,$66,$76,$78,$77,$77,$66,$55,$55,$65,$56
	db $66,$66,$66,$56,$55,$66,$76,$87,$77,$66,$66,$65,$66,$65,$66,$66
	db $66,$76,$66,$66,$66,$77,$99,$89,$89,$67,$55,$55,$44,$55,$55,$66
	db $56,$65,$56,$65,$66,$76,$77,$67,$66,$55,$55,$55,$55,$66,$66,$66
	db $55,$55,$55,$76,$88,$99,$88,$78,$56,$55,$55,$54,$55,$55,$66,$56
	db $65,$56,$66,$77,$77,$87,$77,$67,$66,$55,$66,$66,$66,$66,$55,$55
	db $45,$65,$77,$98,$9A,$89,$88,$66,$55,$55,$44,$55,$55,$55,$55,$55
	db $65,$76,$77,$88,$77,$77,$56,$55,$56,$65,$76,$66,$66,$55,$44,$54
	db $65,$77,$88,$88,$88,$77,$66,$66,$56,$55,$55,$55,$55,$55,$55,$65
	db $77,$87,$78,$77,$77,$66,$66,$66,$66,$66,$66,$55,$55,$54,$55,$66
	db $87,$88,$88,$78,$66,$66,$66,$66,$66,$66,$56,$55,$55,$55,$65,$77
	db $77,$77,$67,$56,$66,$66,$66,$77,$76,$67,$55,$55,$55,$65,$76,$77
	db $77,$67,$66,$66,$66,$66,$66,$66,$66,$55,$55,$65,$65,$77,$77,$77
	db $66,$67,$56,$65,$66,$76,$77,$66,$56,$55,$55,$55,$66,$77,$77,$77
	db $77,$66,$66,$66,$65,$66,$55,$66,$55,$66,$66,$76,$77,$77,$77,$66
	db $56,$55,$66,$76,$67,$77,$67,$55,$55,$55,$65,$66,$77,$77,$66,$66
	db $56,$65,$66,$65,$66,$66,$66,$56,$55,$66,$66,$77,$78,$76,$77,$56
	db $66,$66,$76,$67,$66,$66,$55,$65,$56,$65,$77,$77,$77,$67,$66,$66
	db $55,$66,$66,$65,$66,$55,$66,$55,$65,$66,$77,$77,$66,$66,$56,$65
	db $66,$66,$66,$66,$66,$66,$56,$66,$66,$77,$77,$66,$77,$56,$65,$56
	db $66,$66,$55,$66,$56,$66,$66,$66,$77,$67,$76,$66,$66,$66,$66,$76
	db $67,$66,$66,$55,$65,$56,$65,$77,$77,$77,$77,$67,$66,$65,$66,$56
	db $65,$66,$65,$66,$66,$66,$66,$77,$67,$66,$66,$56,$65,$77,$66,$67
	db $66,$66,$55,$55,$65,$66,$77,$77,$66,$77,$56,$66,$66,$66,$66,$55
	db $66,$55,$66,$66,$66,$77,$77,$76,$66,$66,$66,$66,$76,$66,$66,$66
	db $55,$65,$56,$65,$66,$76,$77,$67,$77,$66,$66,$66,$66,$66,$66,$55
	db $66,$66,$66,$66,$66,$77,$66,$66,$66,$65,$66,$66,$67,$66,$66,$66
	db $55,$66,$66,$66,$77,$66,$77,$66,$66,$66,$66,$66,$56,$66,$56,$66
	db $66,$66,$76,$66,$66,$66,$77,$66,$66,$77,$67,$66,$66,$55,$65,$56
	db $65,$66,$76,$77,$67,$77,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66
	db $66,$66,$66,$66,$76,$67,$66,$67,$66,$67,$66,$66,$56,$65,$66,$66
	db $66,$66,$66,$67,$66,$66,$66,$66,$66,$66,$66,$66,$65,$66,$65,$66
	db $66,$66,$66,$76,$67,$66,$77,$66,$66,$66,$55,$66,$56,$66,$66,$66
	db $66,$66,$77,$67,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66
	db $66,$76,$66,$66,$66,$76,$67,$66,$66,$56,$65,$66,$65,$66,$66,$66
	db $67,$77,$66,$65,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66
	db $77,$67,$66,$67,$66,$66,$56,$65,$66,$66,$66,$66,$66,$66,$66,$77
	db $66,$66,$56,$65,$66,$66,$66,$66,$66,$66,$66,$66,$55,$66,$66,$76
	db $67,$66,$77,$66,$66,$66,$55,$66,$66,$66,$66,$66,$66,$66,$77,$66
	db $65,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$66,$77,$66,$66
	db $66,$66,$66,$56,$66,$55,$66,$66,$66,$66,$66,$66,$67,$76,$66,$65
	db $66,$66,$66,$66,$66,$66,$66,$66,$56,$55,$66,$66,$77,$67,$76,$67
	db $76,$67,$55,$56,$55,$66,$66,$66,$66,$66,$76,$67,$66,$66,$66,$66
	db $66,$66,$66,$66,$66,$66,$66,$56,$65,$66,$76,$77,$66,$66,$66,$ff
        
        ;org $6400
anima       	
       	lda lassit
       	clc
       	adc #$01
       	and #$01
       	sta lassit
       	beq skip1
       	;
       	lda fazis
	cmp #$00
	bne f1
	;
	lda #csajadat & 255
	sta src
	lda #csajadat >> 8
	sta src+1
	;
f1	jsr VisszaRakEgyet
	;
	lda fazis
	clc
	adc #$01
	cmp #12
	bne felt2
	lda #$00
felt2   sta fazis
skip1	rts

anima2       	
       	lda lassit
       	clc
       	adc #$01
       	and #$01
       	sta lassit
       	beq skip2
       	;
       	lda fazis
	cmp #$00
	bne f1a
	;
	lda #forgoadat & 255
	sta src
	lda #forgoadat >> 8
	sta src+1
	;
f1a	jsr VisszaRakEgyet
	;
	lda fazis
	clc
	adc #$01
	cmp #8
	bne felt2a
	lda #$00
felt2a   sta fazis
skip2	rts

VisszaRakEgyet	
	ldx #11
c2	txa
	asl a
	tax
	lda cimek,x
	sta dst
	lda cimek+1,x
	sta dst+1
	;
	txa
	lsr a
	tax
	lda hossz,x
	sta currlen
	;
	ldy #$00
	;JMP *
c1	lda (src),y
	sta (dst),y
	iny
	lda (src),y
	sta (dst),y
	iny
	lda (src),y
	sta (dst),y
	iny
	lda (src),y
	sta (dst),y
	iny
	lda (src),y
	sta (dst),y
	iny
	lda (src),y
	sta (dst),y
	iny
	lda (src),y
	sta (dst),y
	iny
	lda (src),y
	sta (dst),y
	iny
	cpy currlen
	bne c1
	;
	;-- inc pointers
	;
	lda src
	clc
	adc currlen
	sta src
	lda src+1
	adc #$00
	sta src+1
	;
	dex
	bpl c2
	;
	rts
cimek
	dw $8D60+$2000
	dw $8E88+$2000
	dw $8fb8+$2000
	dw $90f0+$2000
	dw $9230+$2000
	dw $9370+$2000
	dw $94b0+$2000
	dw $95f8+$2000
	dw $9738+$2000
	dw $9880+$2000
	dw $99c0+$2000
	dw $9b08+$2000
	
hossz
	db 8*5
	db 8*8
	db 8*10
	db 8*12
	db 8*12
	db 8*12
	db 8*13
	db 8*12
	db 8*11
	db 8*9
	db 8*6
	db 8*3
	
	;align 256

csajadat
	include "ujcsajpakk.asm"	
	org $A000
	include "simatvada.asm"
	
	org $C000
	include "utoskep.asm"
	
forgoadat
	include "forgoadat.asm"	

;eof             
	
	
	