	ORG $6300-2
	DW  $6300
	
dst = $d0
src = $d2
currlen = $d4
fazis = $d5

start
	SEI
	STA $FF3F
	;
	LDA #$3B	; turn graphics mode on
	STA $FF06
	;
	LDA $FF07	; PAL/NTSC friendly
	AND #$40
	ORA #$08	; use $18 for multicolor
	STA $FF07
	;
	LDA $FF12
	AND #$03	; keep lowest 2 bits (sound)	
	ORA #$20	; $08 = $2000, $10 = $4000, etc.
	STA $FF12
	;
	LDA #$18	; color map at $1800
	STA $FF14
	;
	LDA #$00
	STA fazis
	;     
main
wait1	LDA $FF1D
	CMP #$CD
	BNE wait1
	;
	LDA fazis
	CMP #$00
	BNE f1
	;
	;LDA #csajadat & 255
	LDA #forgoadat & 255
	STA src
	;LDA #csajadat >> 8
	LDA #forgoadat >> 8
	STA src+1
	;
f1	JSR VisszaRakEgyet
	;
	LDA fazis
	CLC
	ADC #$01
	CMP #8
	BNE f2
	LDA #$00
f2      STA fazis
	JMP main

VisszaRakEgyet	
	LDX #11
c2	TXA
	ASL a
	TAX
	LDA cimek,x
	STA dst
	LDA cimek+1,x
	STA dst+1
	;
	TXA
	LSR a
	TAX
	LDA hossz,x
	STA currlen
	;
	LDY #$00
	;JMP *
c1	LDA (src),y
	STA (dst),y
	INY
	CPY currlen
	BNE c1
	;
	;-- inc pointers
	;
	LDA src
	CLC
	ADC currlen
	STA src
	LDA src+1
	ADC #$00
	STA src+1
	;
	DEX
	BPL c2
	;
	RTS
cimek
	DW $8D60
	DW $8E88
	DW $8fb8
	DW $90f0
	DW $9230
	DW $9370
	DW $94b0
	DW $95f8
	DW $9738
	DW $9880
	DW $99c0
	DW $9b08
	
hossz
	DB 8*5
	DB 8*8
	DB 8*10
	DB 8*12
	DB 8*12
	DB 8*12
	DB 8*13
	DB 8*12
	DB 8*11
	DB 8*9
	DB 8*6
	DB 8*3
	;eof             
	
 
        org $a000

csajadat
	include "ujcsajpakk.asm"	
forgoadat
	include "forgoadat.asm"
	
; 1000-6300
; 6300-90ff csaj
; a000-bfff kep1
; c000-dfff kep2